import { BancorNetwork__factory, BancorX__factory, CheckpointStore__factory, ContractRegistry__factory, ConversionPathFinder__factory, ConverterFactory__factory, ConverterRegistry__factory, ConverterRegistryData__factory, ConverterUpgrader__factory, ConverterV27OrLowerWithFallback__factory, ConverterV27OrLowerWithoutFallback__factory, ConverterV28OrHigherWithFallback__factory, ConverterV28OrHigherWithoutFallback__factory, DSToken__factory, ERC20__factory, LiquidityProtection__factory, LiquidityProtectionSettings__factory, LiquidityProtectionStats__factory, LiquidityProtectionStore__factory, LiquidityProtectionSystemStore__factory, MockVortexBurner__factory, NetworkSettings__factory, Owned__factory, StakingRewards__factory, StakingRewardsClaim__factory, StakingRewardsStore__factory, StandardPoolConverter__factory, StandardPoolConverterFactory__factory, TestBancorNetwork__factory, TestBancorNetworkV3__factory, TestCheckpointStore__factory, TestContractRegistryClient__factory, TestConverterFactory__factory, TestConverterRegistry__factory, TestLiquidityProtection__factory, TestLiquidityProvisionEventsSubscriber__factory, TestMathEx__factory, TestNonStandardToken__factory, TestReserveToken__factory, TestSafeERC20Ex__factory, TestStakingRewards__factory, TestStakingRewardsStore__factory, TestStandardPoolConverter__factory, TestStandardPoolConverterFactory__factory, TestStandardToken__factory, TestTokenGovernance__factory, TestTransferPositionCallback__factory, TestTypedConverterAnchorFactory__factory, TokenGovernance__factory, TokenHolder__factory, VortexBurner__factory } from '../typechain';
import { ContractFactory, Signer } from 'ethers';
export declare type AsyncReturnType<T extends (...args: any) => any> = T extends (...args: any) => Promise<infer U> ? U : T extends (...args: any) => infer U ? U : any;
export declare type Contract<F extends ContractFactory> = AsyncReturnType<F['deploy']>;
export interface ContractBuilder<F extends ContractFactory> {
    metadata: {
        contractName: string;
        bytecode: string;
    };
    deploy(...args: Parameters<F['deploy']>): Promise<Contract<F>>;
    attach(address: string, signer?: Signer): Promise<Contract<F>>;
}
export declare type FactoryConstructor<F extends ContractFactory> = {
    new (signer?: Signer): F;
    abi: unknown;
    bytecode: string;
};
export declare const deployOrAttach: <F extends ContractFactory>(contractName: string, FactoryConstructor: FactoryConstructor<F>, initialSigner?: Signer | undefined) => ContractBuilder<F>;
export declare const attachOnly: <F extends ContractFactory>(FactoryConstructor: FactoryConstructor<F>, initialSigner?: Signer | undefined) => {
    attach: (address: string, signer?: Signer | undefined) => Promise<AsyncReturnType<F["deploy"]>>;
};
declare const _default: {
    connect: (signer: Signer) => any;
    BancorNetwork: ContractBuilder<BancorNetwork__factory>;
    BancorX: ContractBuilder<BancorX__factory>;
    CheckpointStore: ContractBuilder<CheckpointStore__factory>;
    ContractRegistry: ContractBuilder<ContractRegistry__factory>;
    ConversionPathFinder: ContractBuilder<ConversionPathFinder__factory>;
    ConverterFactory: ContractBuilder<ConverterFactory__factory>;
    ConverterRegistry: ContractBuilder<ConverterRegistry__factory>;
    ConverterRegistryData: ContractBuilder<ConverterRegistryData__factory>;
    ConverterUpgrader: ContractBuilder<ConverterUpgrader__factory>;
    ConverterV27OrLowerWithFallback: ContractBuilder<ConverterV27OrLowerWithFallback__factory>;
    ConverterV27OrLowerWithoutFallback: ContractBuilder<ConverterV27OrLowerWithoutFallback__factory>;
    ConverterV28OrHigherWithFallback: ContractBuilder<ConverterV28OrHigherWithFallback__factory>;
    ConverterV28OrHigherWithoutFallback: ContractBuilder<ConverterV28OrHigherWithoutFallback__factory>;
    DSToken: ContractBuilder<DSToken__factory>;
    ERC20: ContractBuilder<ERC20__factory>;
    LiquidityProtection: ContractBuilder<LiquidityProtection__factory>;
    LiquidityProtectionSettings: ContractBuilder<LiquidityProtectionSettings__factory>;
    LiquidityProtectionStats: ContractBuilder<LiquidityProtectionStats__factory>;
    LiquidityProtectionStore: ContractBuilder<LiquidityProtectionStore__factory>;
    LiquidityProtectionSystemStore: ContractBuilder<LiquidityProtectionSystemStore__factory>;
    MockVortexBurner: ContractBuilder<MockVortexBurner__factory>;
    NetworkSettings: ContractBuilder<NetworkSettings__factory>;
    Owned: ContractBuilder<Owned__factory>;
    StakingRewards: ContractBuilder<StakingRewards__factory>;
    StakingRewardsClaim: ContractBuilder<StakingRewardsClaim__factory>;
    StakingRewardsStore: ContractBuilder<StakingRewardsStore__factory>;
    StandardPoolConverter: ContractBuilder<StandardPoolConverter__factory>;
    StandardPoolConverterFactory: ContractBuilder<StandardPoolConverterFactory__factory>;
    TestBancorNetwork: ContractBuilder<TestBancorNetwork__factory>;
    TestBancorNetworkV3: ContractBuilder<TestBancorNetworkV3__factory>;
    TestCheckpointStore: ContractBuilder<TestCheckpointStore__factory>;
    TestContractRegistryClient: ContractBuilder<TestContractRegistryClient__factory>;
    TestConverterFactory: ContractBuilder<TestConverterFactory__factory>;
    TestConverterRegistry: ContractBuilder<TestConverterRegistry__factory>;
    TestLiquidityProtection: ContractBuilder<TestLiquidityProtection__factory>;
    TestLiquidityProvisionEventsSubscriber: ContractBuilder<TestLiquidityProvisionEventsSubscriber__factory>;
    TestMathEx: ContractBuilder<TestMathEx__factory>;
    TestNonStandardToken: ContractBuilder<TestNonStandardToken__factory>;
    TestReserveToken: ContractBuilder<TestReserveToken__factory>;
    TestSafeERC20Ex: ContractBuilder<TestSafeERC20Ex__factory>;
    TestStakingRewards: ContractBuilder<TestStakingRewards__factory>;
    TestStakingRewardsStore: ContractBuilder<TestStakingRewardsStore__factory>;
    TestStandardPoolConverter: ContractBuilder<TestStandardPoolConverter__factory>;
    TestStandardPoolConverterFactory: ContractBuilder<TestStandardPoolConverterFactory__factory>;
    TestStandardToken: ContractBuilder<TestStandardToken__factory>;
    TestTokenGovernance: ContractBuilder<TestTokenGovernance__factory>;
    TestTransferPositionCallback: ContractBuilder<TestTransferPositionCallback__factory>;
    TestTypedConverterAnchorFactory: ContractBuilder<TestTypedConverterAnchorFactory__factory>;
    TokenGovernance: ContractBuilder<TokenGovernance__factory>;
    TokenHolder: ContractBuilder<TokenHolder__factory>;
    VortexBurner: ContractBuilder<VortexBurner__factory>;
};
export default _default;
//# sourceMappingURL=Contracts.d.ts.map