import { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import { FunctionFragment, Result } from "@ethersproject/abi";
import { Listener, Provider } from "@ethersproject/providers";
import { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface IBancorNetworkV3Interface extends utils.Interface {
    functions: {
        "migrateLiquidity(address,address,uint256,uint256,uint256)": FunctionFragment;
    };
    encodeFunctionData(functionFragment: "migrateLiquidity", values: [string, string, BigNumberish, BigNumberish, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "migrateLiquidity", data: BytesLike): Result;
    events: {};
}
export interface IBancorNetworkV3 extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IBancorNetworkV3Interface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        migrateLiquidity(reserveToken: string, provider: string, amount: BigNumberish, availableAmount: BigNumberish, originalAmount: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    migrateLiquidity(reserveToken: string, provider: string, amount: BigNumberish, availableAmount: BigNumberish, originalAmount: BigNumberish, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        migrateLiquidity(reserveToken: string, provider: string, amount: BigNumberish, availableAmount: BigNumberish, originalAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        migrateLiquidity(reserveToken: string, provider: string, amount: BigNumberish, availableAmount: BigNumberish, originalAmount: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        migrateLiquidity(reserveToken: string, provider: string, amount: BigNumberish, availableAmount: BigNumberish, originalAmount: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=IBancorNetworkV3.d.ts.map