import { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import { FunctionFragment, Result } from "@ethersproject/abi";
import { Listener, Provider } from "@ethersproject/providers";
import { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface IConversionPathFinderInterface extends utils.Interface {
    functions: {
        "findPath(address,address)": FunctionFragment;
    };
    encodeFunctionData(functionFragment: "findPath", values: [string, string]): string;
    decodeFunctionResult(functionFragment: "findPath", data: BytesLike): Result;
    events: {};
}
export interface IConversionPathFinder extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IConversionPathFinderInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        findPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<[string[]]>;
    };
    findPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<string[]>;
    callStatic: {
        findPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<string[]>;
    };
    filters: {};
    estimateGas: {
        findPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        findPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=IConversionPathFinder.d.ts.map