import { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import { Listener, Provider } from "@ethersproject/providers";
import { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface ILegacyConverterVersion45Interface extends utils.Interface {
    functions: {
        "acceptAnchorOwnership()": FunctionFragment;
        "acceptOwnership()": FunctionFragment;
        "acceptTokenOwnership()": FunctionFragment;
        "addReserve(address,uint32)": FunctionFragment;
        "anchor()": FunctionFragment;
        "connectorTokenCount()": FunctionFragment;
        "connectorTokens(uint256)": FunctionFragment;
        "connectors(address)": FunctionFragment;
        "conversionFee()": FunctionFragment;
        "convert(address,address,uint256,address,address)": FunctionFragment;
        "converterType()": FunctionFragment;
        "getConnectorBalance(address)": FunctionFragment;
        "isActive()": FunctionFragment;
        "maxConversionFee()": FunctionFragment;
        "onUpgradeComplete()": FunctionFragment;
        "owner()": FunctionFragment;
        "reserveBalance(address)": FunctionFragment;
        "reserveTokenCount()": FunctionFragment;
        "reserveTokens()": FunctionFragment;
        "setConversionFee(uint32)": FunctionFragment;
        "targetAmountAndFee(address,address,uint256)": FunctionFragment;
        "token()": FunctionFragment;
        "transferAnchorOwnership(address)": FunctionFragment;
        "transferOwnership(address)": FunctionFragment;
        "transferReservesOnUpgrade(address)": FunctionFragment;
        "transferTokenOwnership(address)": FunctionFragment;
        "withdrawETH(address)": FunctionFragment;
        "withdrawTokens(address,address,uint256)": FunctionFragment;
    };
    encodeFunctionData(functionFragment: "acceptAnchorOwnership", values?: undefined): string;
    encodeFunctionData(functionFragment: "acceptOwnership", values?: undefined): string;
    encodeFunctionData(functionFragment: "acceptTokenOwnership", values?: undefined): string;
    encodeFunctionData(functionFragment: "addReserve", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "anchor", values?: undefined): string;
    encodeFunctionData(functionFragment: "connectorTokenCount", values?: undefined): string;
    encodeFunctionData(functionFragment: "connectorTokens", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "connectors", values: [string]): string;
    encodeFunctionData(functionFragment: "conversionFee", values?: undefined): string;
    encodeFunctionData(functionFragment: "convert", values: [string, string, BigNumberish, string, string]): string;
    encodeFunctionData(functionFragment: "converterType", values?: undefined): string;
    encodeFunctionData(functionFragment: "getConnectorBalance", values: [string]): string;
    encodeFunctionData(functionFragment: "isActive", values?: undefined): string;
    encodeFunctionData(functionFragment: "maxConversionFee", values?: undefined): string;
    encodeFunctionData(functionFragment: "onUpgradeComplete", values?: undefined): string;
    encodeFunctionData(functionFragment: "owner", values?: undefined): string;
    encodeFunctionData(functionFragment: "reserveBalance", values: [string]): string;
    encodeFunctionData(functionFragment: "reserveTokenCount", values?: undefined): string;
    encodeFunctionData(functionFragment: "reserveTokens", values?: undefined): string;
    encodeFunctionData(functionFragment: "setConversionFee", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "targetAmountAndFee", values: [string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "token", values?: undefined): string;
    encodeFunctionData(functionFragment: "transferAnchorOwnership", values: [string]): string;
    encodeFunctionData(functionFragment: "transferOwnership", values: [string]): string;
    encodeFunctionData(functionFragment: "transferReservesOnUpgrade", values: [string]): string;
    encodeFunctionData(functionFragment: "transferTokenOwnership", values: [string]): string;
    encodeFunctionData(functionFragment: "withdrawETH", values: [string]): string;
    encodeFunctionData(functionFragment: "withdrawTokens", values: [string, string, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "acceptAnchorOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "acceptOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "acceptTokenOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "addReserve", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "anchor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "connectorTokenCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "connectorTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "connectors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "conversionFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "convert", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "converterType", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConnectorBalance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isActive", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxConversionFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "onUpgradeComplete", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "owner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "reserveBalance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "reserveTokenCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "reserveTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setConversionFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetAmountAndFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "token", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferAnchorOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferReservesOnUpgrade", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferTokenOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawETH", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTokens", data: BytesLike): Result;
    events: {
        "Activation(uint16,address,bool)": EventFragment;
        "Conversion(address,address,address,uint256,uint256,int256)": EventFragment;
        "ConversionFeeUpdate(uint32,uint32)": EventFragment;
        "TokenRateUpdate(address,address,uint256,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "Activation"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Conversion"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ConversionFeeUpdate"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "TokenRateUpdate"): EventFragment;
}
export declare type ActivationEvent = TypedEvent<[
    number,
    string,
    boolean
], {
    converterType: number;
    anchor: string;
    activated: boolean;
}>;
export declare type ActivationEventFilter = TypedEventFilter<ActivationEvent>;
export declare type ConversionEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber,
    BigNumber
], {
    sourceToken: string;
    targetToken: string;
    trader: string;
    sourceAmount: BigNumber;
    targetAmount: BigNumber;
    conversionFee: BigNumber;
}>;
export declare type ConversionEventFilter = TypedEventFilter<ConversionEvent>;
export declare type ConversionFeeUpdateEvent = TypedEvent<[
    number,
    number
], {
    prevFee: number;
    newFee: number;
}>;
export declare type ConversionFeeUpdateEventFilter = TypedEventFilter<ConversionFeeUpdateEvent>;
export declare type TokenRateUpdateEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    BigNumber
], {
    token1: string;
    token2: string;
    rateN: BigNumber;
    rateD: BigNumber;
}>;
export declare type TokenRateUpdateEventFilter = TypedEventFilter<TokenRateUpdateEvent>;
export interface ILegacyConverterVersion45 extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: ILegacyConverterVersion45Interface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        acceptAnchorOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        acceptTokenOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        addReserve(token: string, weight: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        anchor(overrides?: CallOverrides): Promise<[string]>;
        connectorTokenCount(overrides?: CallOverrides): Promise<[number]>;
        connectorTokens(index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        connectors(reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, number, boolean, boolean, boolean]>;
        conversionFee(overrides?: CallOverrides): Promise<[number]>;
        convert(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, trader: string, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        converterType(overrides?: CallOverrides): Promise<[number]>;
        getConnectorBalance(connectorToken: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        isActive(overrides?: CallOverrides): Promise<[boolean]>;
        maxConversionFee(overrides?: CallOverrides): Promise<[number]>;
        onUpgradeComplete(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        owner(overrides?: CallOverrides): Promise<[string]>;
        reserveBalance(reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        reserveTokenCount(overrides?: CallOverrides): Promise<[number]>;
        reserveTokens(overrides?: CallOverrides): Promise<[string[]]>;
        setConversionFee(fee: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        targetAmountAndFee(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        token(overrides?: CallOverrides): Promise<[string]>;
        transferAnchorOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        transferReservesOnUpgrade(newConverter: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        transferTokenOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        withdrawETH(recipient: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        withdrawTokens(token: string, recipient: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    acceptAnchorOwnership(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    acceptOwnership(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    acceptTokenOwnership(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    addReserve(token: string, weight: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    anchor(overrides?: CallOverrides): Promise<string>;
    connectorTokenCount(overrides?: CallOverrides): Promise<number>;
    connectorTokens(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    connectors(reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, number, boolean, boolean, boolean]>;
    conversionFee(overrides?: CallOverrides): Promise<number>;
    convert(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, trader: string, beneficiary: string, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    converterType(overrides?: CallOverrides): Promise<number>;
    getConnectorBalance(connectorToken: string, overrides?: CallOverrides): Promise<BigNumber>;
    isActive(overrides?: CallOverrides): Promise<boolean>;
    maxConversionFee(overrides?: CallOverrides): Promise<number>;
    onUpgradeComplete(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    owner(overrides?: CallOverrides): Promise<string>;
    reserveBalance(reserveToken: string, overrides?: CallOverrides): Promise<BigNumber>;
    reserveTokenCount(overrides?: CallOverrides): Promise<number>;
    reserveTokens(overrides?: CallOverrides): Promise<string[]>;
    setConversionFee(fee: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    targetAmountAndFee(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
    token(overrides?: CallOverrides): Promise<string>;
    transferAnchorOwnership(newOwner: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    transferOwnership(newOwner: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    transferReservesOnUpgrade(newConverter: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    transferTokenOwnership(newOwner: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    withdrawETH(recipient: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    withdrawTokens(token: string, recipient: string, amount: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        acceptAnchorOwnership(overrides?: CallOverrides): Promise<void>;
        acceptOwnership(overrides?: CallOverrides): Promise<void>;
        acceptTokenOwnership(overrides?: CallOverrides): Promise<void>;
        addReserve(token: string, weight: BigNumberish, overrides?: CallOverrides): Promise<void>;
        anchor(overrides?: CallOverrides): Promise<string>;
        connectorTokenCount(overrides?: CallOverrides): Promise<number>;
        connectorTokens(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        connectors(reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, number, boolean, boolean, boolean]>;
        conversionFee(overrides?: CallOverrides): Promise<number>;
        convert(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, trader: string, beneficiary: string, overrides?: CallOverrides): Promise<BigNumber>;
        converterType(overrides?: CallOverrides): Promise<number>;
        getConnectorBalance(connectorToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        isActive(overrides?: CallOverrides): Promise<boolean>;
        maxConversionFee(overrides?: CallOverrides): Promise<number>;
        onUpgradeComplete(overrides?: CallOverrides): Promise<void>;
        owner(overrides?: CallOverrides): Promise<string>;
        reserveBalance(reserveToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        reserveTokenCount(overrides?: CallOverrides): Promise<number>;
        reserveTokens(overrides?: CallOverrides): Promise<string[]>;
        setConversionFee(fee: BigNumberish, overrides?: CallOverrides): Promise<void>;
        targetAmountAndFee(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        token(overrides?: CallOverrides): Promise<string>;
        transferAnchorOwnership(newOwner: string, overrides?: CallOverrides): Promise<void>;
        transferOwnership(newOwner: string, overrides?: CallOverrides): Promise<void>;
        transferReservesOnUpgrade(newConverter: string, overrides?: CallOverrides): Promise<void>;
        transferTokenOwnership(newOwner: string, overrides?: CallOverrides): Promise<void>;
        withdrawETH(recipient: string, overrides?: CallOverrides): Promise<void>;
        withdrawTokens(token: string, recipient: string, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "Activation(uint16,address,bool)"(converterType?: BigNumberish | null, anchor?: string | null, activated?: boolean | null): ActivationEventFilter;
        Activation(converterType?: BigNumberish | null, anchor?: string | null, activated?: boolean | null): ActivationEventFilter;
        "Conversion(address,address,address,uint256,uint256,int256)"(sourceToken?: string | null, targetToken?: string | null, trader?: string | null, sourceAmount?: null, targetAmount?: null, conversionFee?: null): ConversionEventFilter;
        Conversion(sourceToken?: string | null, targetToken?: string | null, trader?: string | null, sourceAmount?: null, targetAmount?: null, conversionFee?: null): ConversionEventFilter;
        "ConversionFeeUpdate(uint32,uint32)"(prevFee?: null, newFee?: null): ConversionFeeUpdateEventFilter;
        ConversionFeeUpdate(prevFee?: null, newFee?: null): ConversionFeeUpdateEventFilter;
        "TokenRateUpdate(address,address,uint256,uint256)"(token1?: string | null, token2?: string | null, rateN?: null, rateD?: null): TokenRateUpdateEventFilter;
        TokenRateUpdate(token1?: string | null, token2?: string | null, rateN?: null, rateD?: null): TokenRateUpdateEventFilter;
    };
    estimateGas: {
        acceptAnchorOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        acceptTokenOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        addReserve(token: string, weight: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        anchor(overrides?: CallOverrides): Promise<BigNumber>;
        connectorTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
        connectorTokens(index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        connectors(reserveToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        conversionFee(overrides?: CallOverrides): Promise<BigNumber>;
        convert(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, trader: string, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        converterType(overrides?: CallOverrides): Promise<BigNumber>;
        getConnectorBalance(connectorToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        isActive(overrides?: CallOverrides): Promise<BigNumber>;
        maxConversionFee(overrides?: CallOverrides): Promise<BigNumber>;
        onUpgradeComplete(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        owner(overrides?: CallOverrides): Promise<BigNumber>;
        reserveBalance(reserveToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        reserveTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
        reserveTokens(overrides?: CallOverrides): Promise<BigNumber>;
        setConversionFee(fee: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        targetAmountAndFee(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        token(overrides?: CallOverrides): Promise<BigNumber>;
        transferAnchorOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        transferReservesOnUpgrade(newConverter: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        transferTokenOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        withdrawETH(recipient: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        withdrawTokens(token: string, recipient: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        acceptAnchorOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        acceptTokenOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        addReserve(token: string, weight: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        anchor(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        connectorTokenCount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        connectorTokens(index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        connectors(reserveToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        conversionFee(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        convert(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, trader: string, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        converterType(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConnectorBalance(connectorToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isActive(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        maxConversionFee(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        onUpgradeComplete(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        owner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        reserveBalance(reserveToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        reserveTokenCount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        reserveTokens(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setConversionFee(fee: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        targetAmountAndFee(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        token(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        transferAnchorOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        transferReservesOnUpgrade(newConverter: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        transferTokenOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        withdrawETH(recipient: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        withdrawTokens(token: string, recipient: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=ILegacyConverterVersion45.d.ts.map