import { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import { Listener, Provider } from "@ethersproject/providers";
import { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface StakingRewardsStoreInterface extends utils.Interface {
    functions: {
        "DEFAULT_ADMIN_ROLE()": FunctionFragment;
        "ROLE_MANAGER()": FunctionFragment;
        "ROLE_OWNER()": FunctionFragment;
        "ROLE_SEEDER()": FunctionFragment;
        "ROLE_SUPERVISOR()": FunctionFragment;
        "addPastPoolPrograms(address[],address[2][],uint32[2][],uint256[],uint256[],uint256[])": FunctionFragment;
        "addPoolProgram(address,address[2],uint32[2],uint256,uint256)": FunctionFragment;
        "getRoleAdmin(bytes32)": FunctionFragment;
        "getRoleMember(bytes32,uint256)": FunctionFragment;
        "getRoleMemberCount(bytes32)": FunctionFragment;
        "grantRole(bytes32,address)": FunctionFragment;
        "hasRole(bytes32,address)": FunctionFragment;
        "isPoolParticipating(address)": FunctionFragment;
        "isReserveParticipating(address,address)": FunctionFragment;
        "poolProgram(address)": FunctionFragment;
        "poolPrograms()": FunctionFragment;
        "poolRewards(address,address)": FunctionFragment;
        "providerLastClaimTime(address)": FunctionFragment;
        "providerRewards(address,address,address)": FunctionFragment;
        "removePoolProgram(address)": FunctionFragment;
        "renounceRole(bytes32,address)": FunctionFragment;
        "revokeRole(bytes32,address)": FunctionFragment;
        "setPoolProgramEndTime(address,uint256)": FunctionFragment;
        "setPoolsRewardData(address[],address[],uint256[],uint256[],uint256[])": FunctionFragment;
        "setProviderRewardData(address,address,address[],uint256[],uint256[],uint256[],uint256[],uint256[],uint32[])": FunctionFragment;
        "updatePoolRewardsData(address,address,uint256,uint256,uint256)": FunctionFragment;
        "updateProviderLastClaimTime(address)": FunctionFragment;
        "updateProviderRewardsData(address,address,address,uint256,uint256,uint256,uint256,uint256,uint32)": FunctionFragment;
    };
    encodeFunctionData(functionFragment: "DEFAULT_ADMIN_ROLE", values?: undefined): string;
    encodeFunctionData(functionFragment: "ROLE_MANAGER", values?: undefined): string;
    encodeFunctionData(functionFragment: "ROLE_OWNER", values?: undefined): string;
    encodeFunctionData(functionFragment: "ROLE_SEEDER", values?: undefined): string;
    encodeFunctionData(functionFragment: "ROLE_SUPERVISOR", values?: undefined): string;
    encodeFunctionData(functionFragment: "addPastPoolPrograms", values: [
        string[],
        [
            string,
            string
        ][],
        [
            BigNumberish,
            BigNumberish
        ][],
        BigNumberish[],
        BigNumberish[],
        BigNumberish[]
    ]): string;
    encodeFunctionData(functionFragment: "addPoolProgram", values: [
        string,
        [
            string,
            string
        ],
        [
            BigNumberish,
            BigNumberish
        ],
        BigNumberish,
        BigNumberish
    ]): string;
    encodeFunctionData(functionFragment: "getRoleAdmin", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "getRoleMember", values: [BytesLike, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getRoleMemberCount", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "grantRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "hasRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "isPoolParticipating", values: [string]): string;
    encodeFunctionData(functionFragment: "isReserveParticipating", values: [string, string]): string;
    encodeFunctionData(functionFragment: "poolProgram", values: [string]): string;
    encodeFunctionData(functionFragment: "poolPrograms", values?: undefined): string;
    encodeFunctionData(functionFragment: "poolRewards", values: [string, string]): string;
    encodeFunctionData(functionFragment: "providerLastClaimTime", values: [string]): string;
    encodeFunctionData(functionFragment: "providerRewards", values: [string, string, string]): string;
    encodeFunctionData(functionFragment: "removePoolProgram", values: [string]): string;
    encodeFunctionData(functionFragment: "renounceRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "revokeRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "setPoolProgramEndTime", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "setPoolsRewardData", values: [string[], string[], BigNumberish[], BigNumberish[], BigNumberish[]]): string;
    encodeFunctionData(functionFragment: "setProviderRewardData", values: [
        string,
        string,
        string[],
        BigNumberish[],
        BigNumberish[],
        BigNumberish[],
        BigNumberish[],
        BigNumberish[],
        BigNumberish[]
    ]): string;
    encodeFunctionData(functionFragment: "updatePoolRewardsData", values: [string, string, BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "updateProviderLastClaimTime", values: [string]): string;
    encodeFunctionData(functionFragment: "updateProviderRewardsData", values: [
        string,
        string,
        string,
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BigNumberish
    ]): string;
    decodeFunctionResult(functionFragment: "DEFAULT_ADMIN_ROLE", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "ROLE_MANAGER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "ROLE_OWNER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "ROLE_SEEDER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "ROLE_SUPERVISOR", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "addPastPoolPrograms", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "addPoolProgram", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRoleAdmin", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRoleMember", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRoleMemberCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "grantRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hasRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isPoolParticipating", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isReserveParticipating", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "poolProgram", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "poolPrograms", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "poolRewards", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "providerLastClaimTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "providerRewards", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "removePoolProgram", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "renounceRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "revokeRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setPoolProgramEndTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setPoolsRewardData", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setProviderRewardData", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "updatePoolRewardsData", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "updateProviderLastClaimTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "updateProviderRewardsData", data: BytesLike): Result;
    events: {
        "PoolProgramAdded(address,uint256,uint256,uint256)": EventFragment;
        "PoolProgramRemoved(address)": EventFragment;
        "ProviderLastClaimTimeUpdated(address,uint256)": EventFragment;
        "RoleAdminChanged(bytes32,bytes32,bytes32)": EventFragment;
        "RoleGranted(bytes32,address,address)": EventFragment;
        "RoleRevoked(bytes32,address,address)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "PoolProgramAdded"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "PoolProgramRemoved"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ProviderLastClaimTimeUpdated"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleAdminChanged"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleGranted"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleRevoked"): EventFragment;
}
export declare type PoolProgramAddedEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber
], {
    poolToken: string;
    startTime: BigNumber;
    endTime: BigNumber;
    rewardRate: BigNumber;
}>;
export declare type PoolProgramAddedEventFilter = TypedEventFilter<PoolProgramAddedEvent>;
export declare type PoolProgramRemovedEvent = TypedEvent<[
    string
], {
    poolToken: string;
}>;
export declare type PoolProgramRemovedEventFilter = TypedEventFilter<PoolProgramRemovedEvent>;
export declare type ProviderLastClaimTimeUpdatedEvent = TypedEvent<[
    string,
    BigNumber
], {
    provider: string;
    claimTime: BigNumber;
}>;
export declare type ProviderLastClaimTimeUpdatedEventFilter = TypedEventFilter<ProviderLastClaimTimeUpdatedEvent>;
export declare type RoleAdminChangedEvent = TypedEvent<[
    string,
    string,
    string
], {
    role: string;
    previousAdminRole: string;
    newAdminRole: string;
}>;
export declare type RoleAdminChangedEventFilter = TypedEventFilter<RoleAdminChangedEvent>;
export declare type RoleGrantedEvent = TypedEvent<[
    string,
    string,
    string
], {
    role: string;
    account: string;
    sender: string;
}>;
export declare type RoleGrantedEventFilter = TypedEventFilter<RoleGrantedEvent>;
export declare type RoleRevokedEvent = TypedEvent<[
    string,
    string,
    string
], {
    role: string;
    account: string;
    sender: string;
}>;
export declare type RoleRevokedEventFilter = TypedEventFilter<RoleRevokedEvent>;
export interface StakingRewardsStore extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: StakingRewardsStoreInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<[string]>;
        ROLE_MANAGER(overrides?: CallOverrides): Promise<[string]>;
        ROLE_OWNER(overrides?: CallOverrides): Promise<[string]>;
        ROLE_SEEDER(overrides?: CallOverrides): Promise<[string]>;
        ROLE_SUPERVISOR(overrides?: CallOverrides): Promise<[string]>;
        addPastPoolPrograms(poolTokens: string[], reserveTokens: [string, string][], rewardShares: [BigNumberish, BigNumberish][], startTime: BigNumberish[], endTimes: BigNumberish[], rewardRates: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        addPoolProgram(poolToken: string, reserveTokens: [string, string], rewardShares: [BigNumberish, BigNumberish], endTime: BigNumberish, rewardRate: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<[string]>;
        getRoleMember(role: BytesLike, index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getRoleMemberCount(role: BytesLike, overrides?: CallOverrides): Promise<[BigNumber]>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<[boolean]>;
        isPoolParticipating(poolToken: string, overrides?: CallOverrides): Promise<[boolean]>;
        isReserveParticipating(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<[boolean]>;
        poolProgram(poolToken: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            BigNumber,
            [string, string],
            [number, number]
        ]>;
        poolPrograms(overrides?: CallOverrides): Promise<[
            string[],
            BigNumber[],
            BigNumber[],
            BigNumber[],
            [
                string,
                string
            ][],
            [
                number,
                number
            ][]
        ]>;
        poolRewards(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber, BigNumber]>;
        providerLastClaimTime(provider: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        providerRewards(provider: string, poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber, BigNumber, BigNumber, BigNumber, number]>;
        removePoolProgram(poolToken: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        renounceRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setPoolProgramEndTime(poolToken: string, newEndTime: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setPoolsRewardData(poolTokens: string[], reserveTokens: string[], lastUpdateTimes: BigNumberish[], rewardsPerToken: BigNumberish[], totalClaimedRewards: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setProviderRewardData(poolToken: string, reserveToken: string, providers: string[], rewardsPerToken: BigNumberish[], pendingBaseRewards: BigNumberish[], totalClaimedRewards: BigNumberish[], effectiveStakingTimes: BigNumberish[], baseRewardsDebts: BigNumberish[], baseRewardsDebtMultipliers: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        updatePoolRewardsData(poolToken: string, reserveToken: string, lastUpdateTime: BigNumberish, rewardPerToken: BigNumberish, totalClaimedRewards: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        updateProviderLastClaimTime(provider: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        updateProviderRewardsData(provider: string, poolToken: string, reserveToken: string, rewardPerToken: BigNumberish, pendingBaseRewards: BigNumberish, totalClaimedRewards: BigNumberish, effectiveStakingTime: BigNumberish, baseRewardsDebt: BigNumberish, baseRewardsDebtMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<string>;
    ROLE_MANAGER(overrides?: CallOverrides): Promise<string>;
    ROLE_OWNER(overrides?: CallOverrides): Promise<string>;
    ROLE_SEEDER(overrides?: CallOverrides): Promise<string>;
    ROLE_SUPERVISOR(overrides?: CallOverrides): Promise<string>;
    addPastPoolPrograms(poolTokens: string[], reserveTokens: [string, string][], rewardShares: [BigNumberish, BigNumberish][], startTime: BigNumberish[], endTimes: BigNumberish[], rewardRates: BigNumberish[], overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    addPoolProgram(poolToken: string, reserveTokens: [string, string], rewardShares: [BigNumberish, BigNumberish], endTime: BigNumberish, rewardRate: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<string>;
    getRoleMember(role: BytesLike, index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getRoleMemberCount(role: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    grantRole(role: BytesLike, account: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<boolean>;
    isPoolParticipating(poolToken: string, overrides?: CallOverrides): Promise<boolean>;
    isReserveParticipating(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<boolean>;
    poolProgram(poolToken: string, overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber,
        BigNumber,
        [string, string],
        [number, number]
    ]>;
    poolPrograms(overrides?: CallOverrides): Promise<[
        string[],
        BigNumber[],
        BigNumber[],
        BigNumber[],
        [
            string,
            string
        ][],
        [
            number,
            number
        ][]
    ]>;
    poolRewards(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber, BigNumber]>;
    providerLastClaimTime(provider: string, overrides?: CallOverrides): Promise<BigNumber>;
    providerRewards(provider: string, poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber, BigNumber, BigNumber, BigNumber, number]>;
    removePoolProgram(poolToken: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    renounceRole(role: BytesLike, account: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setPoolProgramEndTime(poolToken: string, newEndTime: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setPoolsRewardData(poolTokens: string[], reserveTokens: string[], lastUpdateTimes: BigNumberish[], rewardsPerToken: BigNumberish[], totalClaimedRewards: BigNumberish[], overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setProviderRewardData(poolToken: string, reserveToken: string, providers: string[], rewardsPerToken: BigNumberish[], pendingBaseRewards: BigNumberish[], totalClaimedRewards: BigNumberish[], effectiveStakingTimes: BigNumberish[], baseRewardsDebts: BigNumberish[], baseRewardsDebtMultipliers: BigNumberish[], overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    updatePoolRewardsData(poolToken: string, reserveToken: string, lastUpdateTime: BigNumberish, rewardPerToken: BigNumberish, totalClaimedRewards: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    updateProviderLastClaimTime(provider: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    updateProviderRewardsData(provider: string, poolToken: string, reserveToken: string, rewardPerToken: BigNumberish, pendingBaseRewards: BigNumberish, totalClaimedRewards: BigNumberish, effectiveStakingTime: BigNumberish, baseRewardsDebt: BigNumberish, baseRewardsDebtMultiplier: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<string>;
        ROLE_MANAGER(overrides?: CallOverrides): Promise<string>;
        ROLE_OWNER(overrides?: CallOverrides): Promise<string>;
        ROLE_SEEDER(overrides?: CallOverrides): Promise<string>;
        ROLE_SUPERVISOR(overrides?: CallOverrides): Promise<string>;
        addPastPoolPrograms(poolTokens: string[], reserveTokens: [string, string][], rewardShares: [BigNumberish, BigNumberish][], startTime: BigNumberish[], endTimes: BigNumberish[], rewardRates: BigNumberish[], overrides?: CallOverrides): Promise<void>;
        addPoolProgram(poolToken: string, reserveTokens: [string, string], rewardShares: [BigNumberish, BigNumberish], endTime: BigNumberish, rewardRate: BigNumberish, overrides?: CallOverrides): Promise<void>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<string>;
        getRoleMember(role: BytesLike, index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getRoleMemberCount(role: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        grantRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<void>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<boolean>;
        isPoolParticipating(poolToken: string, overrides?: CallOverrides): Promise<boolean>;
        isReserveParticipating(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<boolean>;
        poolProgram(poolToken: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            BigNumber,
            [string, string],
            [number, number]
        ]>;
        poolPrograms(overrides?: CallOverrides): Promise<[
            string[],
            BigNumber[],
            BigNumber[],
            BigNumber[],
            [
                string,
                string
            ][],
            [
                number,
                number
            ][]
        ]>;
        poolRewards(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber, BigNumber]>;
        providerLastClaimTime(provider: string, overrides?: CallOverrides): Promise<BigNumber>;
        providerRewards(provider: string, poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber, BigNumber, BigNumber, BigNumber, number]>;
        removePoolProgram(poolToken: string, overrides?: CallOverrides): Promise<void>;
        renounceRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<void>;
        revokeRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<void>;
        setPoolProgramEndTime(poolToken: string, newEndTime: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setPoolsRewardData(poolTokens: string[], reserveTokens: string[], lastUpdateTimes: BigNumberish[], rewardsPerToken: BigNumberish[], totalClaimedRewards: BigNumberish[], overrides?: CallOverrides): Promise<void>;
        setProviderRewardData(poolToken: string, reserveToken: string, providers: string[], rewardsPerToken: BigNumberish[], pendingBaseRewards: BigNumberish[], totalClaimedRewards: BigNumberish[], effectiveStakingTimes: BigNumberish[], baseRewardsDebts: BigNumberish[], baseRewardsDebtMultipliers: BigNumberish[], overrides?: CallOverrides): Promise<void>;
        updatePoolRewardsData(poolToken: string, reserveToken: string, lastUpdateTime: BigNumberish, rewardPerToken: BigNumberish, totalClaimedRewards: BigNumberish, overrides?: CallOverrides): Promise<void>;
        updateProviderLastClaimTime(provider: string, overrides?: CallOverrides): Promise<void>;
        updateProviderRewardsData(provider: string, poolToken: string, reserveToken: string, rewardPerToken: BigNumberish, pendingBaseRewards: BigNumberish, totalClaimedRewards: BigNumberish, effectiveStakingTime: BigNumberish, baseRewardsDebt: BigNumberish, baseRewardsDebtMultiplier: BigNumberish, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "PoolProgramAdded(address,uint256,uint256,uint256)"(poolToken?: string | null, startTime?: null, endTime?: null, rewardRate?: null): PoolProgramAddedEventFilter;
        PoolProgramAdded(poolToken?: string | null, startTime?: null, endTime?: null, rewardRate?: null): PoolProgramAddedEventFilter;
        "PoolProgramRemoved(address)"(poolToken?: string | null): PoolProgramRemovedEventFilter;
        PoolProgramRemoved(poolToken?: string | null): PoolProgramRemovedEventFilter;
        "ProviderLastClaimTimeUpdated(address,uint256)"(provider?: string | null, claimTime?: null): ProviderLastClaimTimeUpdatedEventFilter;
        ProviderLastClaimTimeUpdated(provider?: string | null, claimTime?: null): ProviderLastClaimTimeUpdatedEventFilter;
        "RoleAdminChanged(bytes32,bytes32,bytes32)"(role?: BytesLike | null, previousAdminRole?: BytesLike | null, newAdminRole?: BytesLike | null): RoleAdminChangedEventFilter;
        RoleAdminChanged(role?: BytesLike | null, previousAdminRole?: BytesLike | null, newAdminRole?: BytesLike | null): RoleAdminChangedEventFilter;
        "RoleGranted(bytes32,address,address)"(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleGrantedEventFilter;
        RoleGranted(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleGrantedEventFilter;
        "RoleRevoked(bytes32,address,address)"(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleRevokedEventFilter;
        RoleRevoked(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleRevokedEventFilter;
    };
    estimateGas: {
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<BigNumber>;
        ROLE_MANAGER(overrides?: CallOverrides): Promise<BigNumber>;
        ROLE_OWNER(overrides?: CallOverrides): Promise<BigNumber>;
        ROLE_SEEDER(overrides?: CallOverrides): Promise<BigNumber>;
        ROLE_SUPERVISOR(overrides?: CallOverrides): Promise<BigNumber>;
        addPastPoolPrograms(poolTokens: string[], reserveTokens: [string, string][], rewardShares: [BigNumberish, BigNumberish][], startTime: BigNumberish[], endTimes: BigNumberish[], rewardRates: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        addPoolProgram(poolToken: string, reserveTokens: [string, string], rewardShares: [BigNumberish, BigNumberish], endTime: BigNumberish, rewardRate: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        getRoleMember(role: BytesLike, index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getRoleMemberCount(role: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<BigNumber>;
        isPoolParticipating(poolToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        isReserveParticipating(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        poolProgram(poolToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        poolPrograms(overrides?: CallOverrides): Promise<BigNumber>;
        poolRewards(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        providerLastClaimTime(provider: string, overrides?: CallOverrides): Promise<BigNumber>;
        providerRewards(provider: string, poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        removePoolProgram(poolToken: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        renounceRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setPoolProgramEndTime(poolToken: string, newEndTime: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setPoolsRewardData(poolTokens: string[], reserveTokens: string[], lastUpdateTimes: BigNumberish[], rewardsPerToken: BigNumberish[], totalClaimedRewards: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setProviderRewardData(poolToken: string, reserveToken: string, providers: string[], rewardsPerToken: BigNumberish[], pendingBaseRewards: BigNumberish[], totalClaimedRewards: BigNumberish[], effectiveStakingTimes: BigNumberish[], baseRewardsDebts: BigNumberish[], baseRewardsDebtMultipliers: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        updatePoolRewardsData(poolToken: string, reserveToken: string, lastUpdateTime: BigNumberish, rewardPerToken: BigNumberish, totalClaimedRewards: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        updateProviderLastClaimTime(provider: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        updateProviderRewardsData(provider: string, poolToken: string, reserveToken: string, rewardPerToken: BigNumberish, pendingBaseRewards: BigNumberish, totalClaimedRewards: BigNumberish, effectiveStakingTime: BigNumberish, baseRewardsDebt: BigNumberish, baseRewardsDebtMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        ROLE_MANAGER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        ROLE_OWNER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        ROLE_SEEDER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        ROLE_SUPERVISOR(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        addPastPoolPrograms(poolTokens: string[], reserveTokens: [string, string][], rewardShares: [BigNumberish, BigNumberish][], startTime: BigNumberish[], endTimes: BigNumberish[], rewardRates: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        addPoolProgram(poolToken: string, reserveTokens: [string, string], rewardShares: [BigNumberish, BigNumberish], endTime: BigNumberish, rewardRate: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getRoleMember(role: BytesLike, index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getRoleMemberCount(role: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isPoolParticipating(poolToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isReserveParticipating(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        poolProgram(poolToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        poolPrograms(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        poolRewards(poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        providerLastClaimTime(provider: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        providerRewards(provider: string, poolToken: string, reserveToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        removePoolProgram(poolToken: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        renounceRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setPoolProgramEndTime(poolToken: string, newEndTime: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setPoolsRewardData(poolTokens: string[], reserveTokens: string[], lastUpdateTimes: BigNumberish[], rewardsPerToken: BigNumberish[], totalClaimedRewards: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setProviderRewardData(poolToken: string, reserveToken: string, providers: string[], rewardsPerToken: BigNumberish[], pendingBaseRewards: BigNumberish[], totalClaimedRewards: BigNumberish[], effectiveStakingTimes: BigNumberish[], baseRewardsDebts: BigNumberish[], baseRewardsDebtMultipliers: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        updatePoolRewardsData(poolToken: string, reserveToken: string, lastUpdateTime: BigNumberish, rewardPerToken: BigNumberish, totalClaimedRewards: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        updateProviderLastClaimTime(provider: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        updateProviderRewardsData(provider: string, poolToken: string, reserveToken: string, rewardPerToken: BigNumberish, pendingBaseRewards: BigNumberish, totalClaimedRewards: BigNumberish, effectiveStakingTime: BigNumberish, baseRewardsDebt: BigNumberish, baseRewardsDebtMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=StakingRewardsStore.d.ts.map