import { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import { FunctionFragment, Result } from "@ethersproject/abi";
import { Listener, Provider } from "@ethersproject/providers";
import { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface TestMathExInterface extends utils.Interface {
    functions: {
        "accurateRatioTest(uint256,uint256,uint256)": FunctionFragment;
        "ceilSqrtTest(uint256)": FunctionFragment;
        "decimalLengthTest(uint256)": FunctionFragment;
        "floorSqrtTest(uint256)": FunctionFragment;
        "geometricMeanTest(uint256[])": FunctionFragment;
        "mulDivC(uint256,uint256,uint256)": FunctionFragment;
        "mulDivF(uint256,uint256,uint256)": FunctionFragment;
        "normalizedRatioTest(uint256,uint256,uint256)": FunctionFragment;
        "productRatioTest(uint256,uint256,uint256,uint256)": FunctionFragment;
        "reducedRatioTest(uint256,uint256,uint256)": FunctionFragment;
        "roundDivTest(uint256,uint256)": FunctionFragment;
        "roundDivUnsafeTest(uint256,uint256)": FunctionFragment;
    };
    encodeFunctionData(functionFragment: "accurateRatioTest", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "ceilSqrtTest", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "decimalLengthTest", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "floorSqrtTest", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "geometricMeanTest", values: [BigNumberish[]]): string;
    encodeFunctionData(functionFragment: "mulDivC", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "mulDivF", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "normalizedRatioTest", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "productRatioTest", values: [BigNumberish, BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "reducedRatioTest", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "roundDivTest", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "roundDivUnsafeTest", values: [BigNumberish, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "accurateRatioTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "ceilSqrtTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "decimalLengthTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "floorSqrtTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "geometricMeanTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "mulDivC", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "mulDivF", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "normalizedRatioTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "productRatioTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "reducedRatioTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "roundDivTest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "roundDivUnsafeTest", data: BytesLike): Result;
    events: {};
}
export interface TestMathEx extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: TestMathExInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        accurateRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        ceilSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        decimalLengthTest(x: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        floorSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        geometricMeanTest(values: BigNumberish[], overrides?: CallOverrides): Promise<[BigNumber]>;
        mulDivC(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        mulDivF(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        normalizedRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        productRatioTest(xn: BigNumberish, yn: BigNumberish, xd: BigNumberish, yd: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        reducedRatioTest(n: BigNumberish, d: BigNumberish, max: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        roundDivTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        roundDivUnsafeTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
    };
    accurateRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
    ceilSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    decimalLengthTest(x: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    floorSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    geometricMeanTest(values: BigNumberish[], overrides?: CallOverrides): Promise<BigNumber>;
    mulDivC(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    mulDivF(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    normalizedRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
    productRatioTest(xn: BigNumberish, yn: BigNumberish, xd: BigNumberish, yd: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
    reducedRatioTest(n: BigNumberish, d: BigNumberish, max: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
    roundDivTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    roundDivUnsafeTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    callStatic: {
        accurateRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        ceilSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        decimalLengthTest(x: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        floorSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        geometricMeanTest(values: BigNumberish[], overrides?: CallOverrides): Promise<BigNumber>;
        mulDivC(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        mulDivF(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        normalizedRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        productRatioTest(xn: BigNumberish, yn: BigNumberish, xd: BigNumberish, yd: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        reducedRatioTest(n: BigNumberish, d: BigNumberish, max: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        roundDivTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        roundDivUnsafeTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {};
    estimateGas: {
        accurateRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        ceilSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        decimalLengthTest(x: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        floorSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        geometricMeanTest(values: BigNumberish[], overrides?: CallOverrides): Promise<BigNumber>;
        mulDivC(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        mulDivF(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        normalizedRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        productRatioTest(xn: BigNumberish, yn: BigNumberish, xd: BigNumberish, yd: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        reducedRatioTest(n: BigNumberish, d: BigNumberish, max: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        roundDivTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        roundDivUnsafeTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        accurateRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        ceilSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        decimalLengthTest(x: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        floorSqrtTest(num: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        geometricMeanTest(values: BigNumberish[], overrides?: CallOverrides): Promise<PopulatedTransaction>;
        mulDivC(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        mulDivF(x: BigNumberish, y: BigNumberish, z: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        normalizedRatioTest(a: BigNumberish, b: BigNumberish, scale: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        productRatioTest(xn: BigNumberish, yn: BigNumberish, xd: BigNumberish, yd: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        reducedRatioTest(n: BigNumberish, d: BigNumberish, max: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        roundDivTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        roundDivUnsafeTest(n: BigNumberish, d: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=TestMathEx.d.ts.map