import { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import { FunctionFragment, Result } from "@ethersproject/abi";
import { Listener, Provider } from "@ethersproject/providers";
import { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface TestTimeInterface extends utils.Interface {
    functions: {
        "currentTime()": FunctionFragment;
        "setTime(uint256)": FunctionFragment;
    };
    encodeFunctionData(functionFragment: "currentTime", values?: undefined): string;
    encodeFunctionData(functionFragment: "setTime", values: [BigNumberish]): string;
    decodeFunctionResult(functionFragment: "currentTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setTime", data: BytesLike): Result;
    events: {};
}
export interface TestTime extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: TestTimeInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        currentTime(overrides?: CallOverrides): Promise<[BigNumber]>;
        setTime(newCurrentTime: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    currentTime(overrides?: CallOverrides): Promise<BigNumber>;
    setTime(newCurrentTime: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        currentTime(overrides?: CallOverrides): Promise<BigNumber>;
        setTime(newCurrentTime: BigNumberish, overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        currentTime(overrides?: CallOverrides): Promise<BigNumber>;
        setTime(newCurrentTime: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        currentTime(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setTime(newCurrentTime: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=TestTime.d.ts.map