import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface INetworkSettingsInterface extends utils.Interface {
    functions: {
        "networkFee()": FunctionFragment;
        "networkFeeParams()": FunctionFragment;
        "networkFeeWallet()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "networkFee" | "networkFeeParams" | "networkFeeWallet"): FunctionFragment;
    encodeFunctionData(functionFragment: "networkFee", values?: undefined): string;
    encodeFunctionData(functionFragment: "networkFeeParams", values?: undefined): string;
    encodeFunctionData(functionFragment: "networkFeeWallet", values?: undefined): string;
    decodeFunctionResult(functionFragment: "networkFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "networkFeeParams", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "networkFeeWallet", data: BytesLike): Result;
    events: {};
}
export interface INetworkSettings extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: INetworkSettingsInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        networkFee(overrides?: CallOverrides): Promise<[number]>;
        networkFeeParams(overrides?: CallOverrides): Promise<[string, number]>;
        networkFeeWallet(overrides?: CallOverrides): Promise<[string]>;
    };
    networkFee(overrides?: CallOverrides): Promise<number>;
    networkFeeParams(overrides?: CallOverrides): Promise<[string, number]>;
    networkFeeWallet(overrides?: CallOverrides): Promise<string>;
    callStatic: {
        networkFee(overrides?: CallOverrides): Promise<number>;
        networkFeeParams(overrides?: CallOverrides): Promise<[string, number]>;
        networkFeeWallet(overrides?: CallOverrides): Promise<string>;
    };
    filters: {};
    estimateGas: {
        networkFee(overrides?: CallOverrides): Promise<BigNumber>;
        networkFeeParams(overrides?: CallOverrides): Promise<BigNumber>;
        networkFeeWallet(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        networkFee(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        networkFeeParams(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        networkFeeWallet(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=INetworkSettings.d.ts.map