import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../common";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface BancorXInterface extends utils.Interface {
    functions: {
        "VERSION()": FunctionFragment;
        "acceptOwnership()": FunctionFragment;
        "enableReporting(bool)": FunctionFragment;
        "enableXTransfers(bool)": FunctionFragment;
        "getCurrentLockLimit()": FunctionFragment;
        "getCurrentReleaseLimit()": FunctionFragment;
        "getXTransferAmount(uint256,address)": FunctionFragment;
        "limitIncPerBlock()": FunctionFragment;
        "maxLockLimit()": FunctionFragment;
        "maxReleaseLimit()": FunctionFragment;
        "minLimit()": FunctionFragment;
        "minRequiredReports()": FunctionFragment;
        "newOwner()": FunctionFragment;
        "onlyOwnerCanUpdateRegistry()": FunctionFragment;
        "owner()": FunctionFragment;
        "prevLockBlockNumber()": FunctionFragment;
        "prevLockLimit()": FunctionFragment;
        "prevRegistry()": FunctionFragment;
        "prevReleaseBlockNumber()": FunctionFragment;
        "prevReleaseLimit()": FunctionFragment;
        "registry()": FunctionFragment;
        "reportTx(bytes32,uint256,address,uint256,uint256)": FunctionFragment;
        "reporters(address)": FunctionFragment;
        "reportingEnabled()": FunctionFragment;
        "restoreRegistry()": FunctionFragment;
        "restrictRegistryUpdate(bool)": FunctionFragment;
        "setLimitIncPerBlock(uint256)": FunctionFragment;
        "setMaxLockLimit(uint256)": FunctionFragment;
        "setMaxReleaseLimit(uint256)": FunctionFragment;
        "setMinLimit(uint256)": FunctionFragment;
        "setMinRequiredReports(uint8)": FunctionFragment;
        "setReporter(address,bool)": FunctionFragment;
        "token()": FunctionFragment;
        "transactionIds(uint256,address)": FunctionFragment;
        "transactionIds(uint256)": FunctionFragment;
        "transactions(uint256)": FunctionFragment;
        "transferOwnership(address)": FunctionFragment;
        "updateRegistry()": FunctionFragment;
        "upgrade(address[])": FunctionFragment;
        "withdrawTokens(address,address,uint256)": FunctionFragment;
        "withdrawTokensMultiple(address[],address,uint256[])": FunctionFragment;
        "xTransfer(bytes32,bytes32,uint256,uint256)": FunctionFragment;
        "xTransfer(bytes32,bytes32,uint256)": FunctionFragment;
        "xTransfersEnabled()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "VERSION" | "acceptOwnership" | "enableReporting" | "enableXTransfers" | "getCurrentLockLimit" | "getCurrentReleaseLimit" | "getXTransferAmount" | "limitIncPerBlock" | "maxLockLimit" | "maxReleaseLimit" | "minLimit" | "minRequiredReports" | "newOwner" | "onlyOwnerCanUpdateRegistry" | "owner" | "prevLockBlockNumber" | "prevLockLimit" | "prevRegistry" | "prevReleaseBlockNumber" | "prevReleaseLimit" | "registry" | "reportTx" | "reporters" | "reportingEnabled" | "restoreRegistry" | "restrictRegistryUpdate" | "setLimitIncPerBlock" | "setMaxLockLimit" | "setMaxReleaseLimit" | "setMinLimit" | "setMinRequiredReports" | "setReporter" | "token" | "transactionIds(uint256,address)" | "transactionIds(uint256)" | "transactions" | "transferOwnership" | "updateRegistry" | "upgrade" | "withdrawTokens" | "withdrawTokensMultiple" | "xTransfer(bytes32,bytes32,uint256,uint256)" | "xTransfer(bytes32,bytes32,uint256)" | "xTransfersEnabled"): FunctionFragment;
    encodeFunctionData(functionFragment: "VERSION", values?: undefined): string;
    encodeFunctionData(functionFragment: "acceptOwnership", values?: undefined): string;
    encodeFunctionData(functionFragment: "enableReporting", values: [boolean]): string;
    encodeFunctionData(functionFragment: "enableXTransfers", values: [boolean]): string;
    encodeFunctionData(functionFragment: "getCurrentLockLimit", values?: undefined): string;
    encodeFunctionData(functionFragment: "getCurrentReleaseLimit", values?: undefined): string;
    encodeFunctionData(functionFragment: "getXTransferAmount", values: [BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "limitIncPerBlock", values?: undefined): string;
    encodeFunctionData(functionFragment: "maxLockLimit", values?: undefined): string;
    encodeFunctionData(functionFragment: "maxReleaseLimit", values?: undefined): string;
    encodeFunctionData(functionFragment: "minLimit", values?: undefined): string;
    encodeFunctionData(functionFragment: "minRequiredReports", values?: undefined): string;
    encodeFunctionData(functionFragment: "newOwner", values?: undefined): string;
    encodeFunctionData(functionFragment: "onlyOwnerCanUpdateRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "owner", values?: undefined): string;
    encodeFunctionData(functionFragment: "prevLockBlockNumber", values?: undefined): string;
    encodeFunctionData(functionFragment: "prevLockLimit", values?: undefined): string;
    encodeFunctionData(functionFragment: "prevRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "prevReleaseBlockNumber", values?: undefined): string;
    encodeFunctionData(functionFragment: "prevReleaseLimit", values?: undefined): string;
    encodeFunctionData(functionFragment: "registry", values?: undefined): string;
    encodeFunctionData(functionFragment: "reportTx", values: [BytesLike, BigNumberish, string, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "reporters", values: [string]): string;
    encodeFunctionData(functionFragment: "reportingEnabled", values?: undefined): string;
    encodeFunctionData(functionFragment: "restoreRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "restrictRegistryUpdate", values: [boolean]): string;
    encodeFunctionData(functionFragment: "setLimitIncPerBlock", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "setMaxLockLimit", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "setMaxReleaseLimit", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "setMinLimit", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "setMinRequiredReports", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "setReporter", values: [string, boolean]): string;
    encodeFunctionData(functionFragment: "token", values?: undefined): string;
    encodeFunctionData(functionFragment: "transactionIds(uint256,address)", values: [BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "transactionIds(uint256)", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "transactions", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "transferOwnership", values: [string]): string;
    encodeFunctionData(functionFragment: "updateRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "upgrade", values: [string[]]): string;
    encodeFunctionData(functionFragment: "withdrawTokens", values: [string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "withdrawTokensMultiple", values: [string[], string, BigNumberish[]]): string;
    encodeFunctionData(functionFragment: "xTransfer(bytes32,bytes32,uint256,uint256)", values: [BytesLike, BytesLike, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "xTransfer(bytes32,bytes32,uint256)", values: [BytesLike, BytesLike, BigNumberish]): string;
    encodeFunctionData(functionFragment: "xTransfersEnabled", values?: undefined): string;
    decodeFunctionResult(functionFragment: "VERSION", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "acceptOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "enableReporting", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "enableXTransfers", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getCurrentLockLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getCurrentReleaseLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getXTransferAmount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "limitIncPerBlock", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxLockLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxReleaseLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "minLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "minRequiredReports", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "newOwner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "onlyOwnerCanUpdateRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "owner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "prevLockBlockNumber", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "prevLockLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "prevRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "prevReleaseBlockNumber", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "prevReleaseLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "registry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "reportTx", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "reporters", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "reportingEnabled", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "restoreRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "restrictRegistryUpdate", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setLimitIncPerBlock", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setMaxLockLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setMaxReleaseLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setMinLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setMinRequiredReports", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setReporter", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "token", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transactionIds(uint256,address)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transactionIds(uint256)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transactions", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "updateRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "upgrade", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTokensMultiple", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "xTransfer(bytes32,bytes32,uint256,uint256)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "xTransfer(bytes32,bytes32,uint256)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "xTransfersEnabled", data: BytesLike): Result;
    events: {
        "OwnerUpdate(address,address)": EventFragment;
        "TokensLock(address,uint256)": EventFragment;
        "TokensRelease(address,uint256)": EventFragment;
        "TxReport(address,bytes32,uint256,address,uint256,uint256)": EventFragment;
        "XTransfer(address,bytes32,bytes32,uint256,uint256)": EventFragment;
        "XTransferComplete(address,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "OwnerUpdate"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "TokensLock"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "TokensRelease"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "TxReport"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "XTransfer"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "XTransferComplete"): EventFragment;
}
export interface OwnerUpdateEventObject {
    prevOwner: string;
    newOwner: string;
}
export declare type OwnerUpdateEvent = TypedEvent<[
    string,
    string
], OwnerUpdateEventObject>;
export declare type OwnerUpdateEventFilter = TypedEventFilter<OwnerUpdateEvent>;
export interface TokensLockEventObject {
    source: string;
    amount: BigNumber;
}
export declare type TokensLockEvent = TypedEvent<[
    string,
    BigNumber
], TokensLockEventObject>;
export declare type TokensLockEventFilter = TypedEventFilter<TokensLockEvent>;
export interface TokensReleaseEventObject {
    target: string;
    amount: BigNumber;
}
export declare type TokensReleaseEvent = TypedEvent<[
    string,
    BigNumber
], TokensReleaseEventObject>;
export declare type TokensReleaseEventFilter = TypedEventFilter<TokensReleaseEvent>;
export interface TxReportEventObject {
    reporter: string;
    fromBlockchain: string;
    txId: BigNumber;
    to: string;
    amount: BigNumber;
    xTransferId: BigNumber;
}
export declare type TxReportEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    string,
    BigNumber,
    BigNumber
], TxReportEventObject>;
export declare type TxReportEventFilter = TypedEventFilter<TxReportEvent>;
export interface XTransferEventObject {
    from: string;
    toBlockchain: string;
    to: string;
    amount: BigNumber;
    id: BigNumber;
}
export declare type XTransferEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber
], XTransferEventObject>;
export declare type XTransferEventFilter = TypedEventFilter<XTransferEvent>;
export interface XTransferCompleteEventObject {
    to: string;
    id: BigNumber;
}
export declare type XTransferCompleteEvent = TypedEvent<[
    string,
    BigNumber
], XTransferCompleteEventObject>;
export declare type XTransferCompleteEventFilter = TypedEventFilter<XTransferCompleteEvent>;
export interface BancorX extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: BancorXInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        VERSION(overrides?: CallOverrides): Promise<[number]>;
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        enableReporting(enable: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        enableXTransfers(enable: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        getCurrentLockLimit(overrides?: CallOverrides): Promise<[BigNumber]>;
        getCurrentReleaseLimit(overrides?: CallOverrides): Promise<[BigNumber]>;
        getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        limitIncPerBlock(overrides?: CallOverrides): Promise<[BigNumber]>;
        maxLockLimit(overrides?: CallOverrides): Promise<[BigNumber]>;
        maxReleaseLimit(overrides?: CallOverrides): Promise<[BigNumber]>;
        minLimit(overrides?: CallOverrides): Promise<[BigNumber]>;
        minRequiredReports(overrides?: CallOverrides): Promise<[BigNumber]>;
        newOwner(overrides?: CallOverrides): Promise<[string]>;
        onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<[boolean]>;
        owner(overrides?: CallOverrides): Promise<[string]>;
        prevLockBlockNumber(overrides?: CallOverrides): Promise<[BigNumber]>;
        prevLockLimit(overrides?: CallOverrides): Promise<[BigNumber]>;
        prevRegistry(overrides?: CallOverrides): Promise<[string]>;
        prevReleaseBlockNumber(overrides?: CallOverrides): Promise<[BigNumber]>;
        prevReleaseLimit(overrides?: CallOverrides): Promise<[BigNumber]>;
        registry(overrides?: CallOverrides): Promise<[string]>;
        reportTx(fromBlockchain: BytesLike, txId: BigNumberish, to: string, amount: BigNumberish, xTransferId: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        reporters(reporter: string, overrides?: CallOverrides): Promise<[boolean]>;
        reportingEnabled(overrides?: CallOverrides): Promise<[boolean]>;
        restoreRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setLimitIncPerBlock(newLimitIncPerBlock: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setMaxLockLimit(newMaxLockLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setMaxReleaseLimit(newMaxReleaseLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setMinLimit(newMinLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setMinRequiredReports(newMinRequiredReports: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        setReporter(reporter: string, active: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        token(overrides?: CallOverrides): Promise<[string]>;
        "transactionIds(uint256,address)"(txId: BigNumberish, reporter: string, overrides?: CallOverrides): Promise<[boolean]>;
        "transactionIds(uint256)"(xTransferID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        transactions(txId: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, string, string, number, boolean]>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        updateRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        upgrade(newReporters: string[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        "xTransfer(bytes32,bytes32,uint256,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        "xTransfer(bytes32,bytes32,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        xTransfersEnabled(overrides?: CallOverrides): Promise<[boolean]>;
    };
    VERSION(overrides?: CallOverrides): Promise<number>;
    acceptOwnership(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    enableReporting(enable: boolean, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    enableXTransfers(enable: boolean, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    getCurrentLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
    getCurrentReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
    getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<BigNumber>;
    limitIncPerBlock(overrides?: CallOverrides): Promise<BigNumber>;
    maxLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
    maxReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
    minLimit(overrides?: CallOverrides): Promise<BigNumber>;
    minRequiredReports(overrides?: CallOverrides): Promise<BigNumber>;
    newOwner(overrides?: CallOverrides): Promise<string>;
    onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<boolean>;
    owner(overrides?: CallOverrides): Promise<string>;
    prevLockBlockNumber(overrides?: CallOverrides): Promise<BigNumber>;
    prevLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
    prevRegistry(overrides?: CallOverrides): Promise<string>;
    prevReleaseBlockNumber(overrides?: CallOverrides): Promise<BigNumber>;
    prevReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
    registry(overrides?: CallOverrides): Promise<string>;
    reportTx(fromBlockchain: BytesLike, txId: BigNumberish, to: string, amount: BigNumberish, xTransferId: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    reporters(reporter: string, overrides?: CallOverrides): Promise<boolean>;
    reportingEnabled(overrides?: CallOverrides): Promise<boolean>;
    restoreRegistry(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setLimitIncPerBlock(newLimitIncPerBlock: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setMaxLockLimit(newMaxLockLimit: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setMaxReleaseLimit(newMaxReleaseLimit: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setMinLimit(newMinLimit: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setMinRequiredReports(newMinRequiredReports: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    setReporter(reporter: string, active: boolean, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    token(overrides?: CallOverrides): Promise<string>;
    "transactionIds(uint256,address)"(txId: BigNumberish, reporter: string, overrides?: CallOverrides): Promise<boolean>;
    "transactionIds(uint256)"(xTransferID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    transactions(txId: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, string, string, number, boolean]>;
    transferOwnership(newOwner: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    updateRegistry(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    upgrade(newReporters: string[], overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    "xTransfer(bytes32,bytes32,uint256,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    "xTransfer(bytes32,bytes32,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    xTransfersEnabled(overrides?: CallOverrides): Promise<boolean>;
    callStatic: {
        VERSION(overrides?: CallOverrides): Promise<number>;
        acceptOwnership(overrides?: CallOverrides): Promise<void>;
        enableReporting(enable: boolean, overrides?: CallOverrides): Promise<void>;
        enableXTransfers(enable: boolean, overrides?: CallOverrides): Promise<void>;
        getCurrentLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
        getCurrentReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
        getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<BigNumber>;
        limitIncPerBlock(overrides?: CallOverrides): Promise<BigNumber>;
        maxLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
        maxReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
        minLimit(overrides?: CallOverrides): Promise<BigNumber>;
        minRequiredReports(overrides?: CallOverrides): Promise<BigNumber>;
        newOwner(overrides?: CallOverrides): Promise<string>;
        onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<boolean>;
        owner(overrides?: CallOverrides): Promise<string>;
        prevLockBlockNumber(overrides?: CallOverrides): Promise<BigNumber>;
        prevLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
        prevRegistry(overrides?: CallOverrides): Promise<string>;
        prevReleaseBlockNumber(overrides?: CallOverrides): Promise<BigNumber>;
        prevReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
        registry(overrides?: CallOverrides): Promise<string>;
        reportTx(fromBlockchain: BytesLike, txId: BigNumberish, to: string, amount: BigNumberish, xTransferId: BigNumberish, overrides?: CallOverrides): Promise<void>;
        reporters(reporter: string, overrides?: CallOverrides): Promise<boolean>;
        reportingEnabled(overrides?: CallOverrides): Promise<boolean>;
        restoreRegistry(overrides?: CallOverrides): Promise<void>;
        restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: CallOverrides): Promise<void>;
        setLimitIncPerBlock(newLimitIncPerBlock: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setMaxLockLimit(newMaxLockLimit: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setMaxReleaseLimit(newMaxReleaseLimit: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setMinLimit(newMinLimit: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setMinRequiredReports(newMinRequiredReports: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setReporter(reporter: string, active: boolean, overrides?: CallOverrides): Promise<void>;
        token(overrides?: CallOverrides): Promise<string>;
        "transactionIds(uint256,address)"(txId: BigNumberish, reporter: string, overrides?: CallOverrides): Promise<boolean>;
        "transactionIds(uint256)"(xTransferID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        transactions(txId: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, string, string, number, boolean]>;
        transferOwnership(newOwner: string, overrides?: CallOverrides): Promise<void>;
        updateRegistry(overrides?: CallOverrides): Promise<void>;
        upgrade(newReporters: string[], overrides?: CallOverrides): Promise<void>;
        withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: CallOverrides): Promise<void>;
        "xTransfer(bytes32,bytes32,uint256,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: CallOverrides): Promise<void>;
        "xTransfer(bytes32,bytes32,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        xTransfersEnabled(overrides?: CallOverrides): Promise<boolean>;
    };
    filters: {
        "OwnerUpdate(address,address)"(prevOwner?: string | null, newOwner?: string | null): OwnerUpdateEventFilter;
        OwnerUpdate(prevOwner?: string | null, newOwner?: string | null): OwnerUpdateEventFilter;
        "TokensLock(address,uint256)"(source?: string | null, amount?: null): TokensLockEventFilter;
        TokensLock(source?: string | null, amount?: null): TokensLockEventFilter;
        "TokensRelease(address,uint256)"(target?: string | null, amount?: null): TokensReleaseEventFilter;
        TokensRelease(target?: string | null, amount?: null): TokensReleaseEventFilter;
        "TxReport(address,bytes32,uint256,address,uint256,uint256)"(reporter?: string | null, fromBlockchain?: null, txId?: null, to?: null, amount?: null, xTransferId?: null): TxReportEventFilter;
        TxReport(reporter?: string | null, fromBlockchain?: null, txId?: null, to?: null, amount?: null, xTransferId?: null): TxReportEventFilter;
        "XTransfer(address,bytes32,bytes32,uint256,uint256)"(from?: string | null, toBlockchain?: null, to?: BytesLike | null, amount?: null, id?: null): XTransferEventFilter;
        XTransfer(from?: string | null, toBlockchain?: null, to?: BytesLike | null, amount?: null, id?: null): XTransferEventFilter;
        "XTransferComplete(address,uint256)"(to?: null, id?: null): XTransferCompleteEventFilter;
        XTransferComplete(to?: null, id?: null): XTransferCompleteEventFilter;
    };
    estimateGas: {
        VERSION(overrides?: CallOverrides): Promise<BigNumber>;
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        enableReporting(enable: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        enableXTransfers(enable: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        getCurrentLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
        getCurrentReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
        getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<BigNumber>;
        limitIncPerBlock(overrides?: CallOverrides): Promise<BigNumber>;
        maxLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
        maxReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
        minLimit(overrides?: CallOverrides): Promise<BigNumber>;
        minRequiredReports(overrides?: CallOverrides): Promise<BigNumber>;
        newOwner(overrides?: CallOverrides): Promise<BigNumber>;
        onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<BigNumber>;
        owner(overrides?: CallOverrides): Promise<BigNumber>;
        prevLockBlockNumber(overrides?: CallOverrides): Promise<BigNumber>;
        prevLockLimit(overrides?: CallOverrides): Promise<BigNumber>;
        prevRegistry(overrides?: CallOverrides): Promise<BigNumber>;
        prevReleaseBlockNumber(overrides?: CallOverrides): Promise<BigNumber>;
        prevReleaseLimit(overrides?: CallOverrides): Promise<BigNumber>;
        registry(overrides?: CallOverrides): Promise<BigNumber>;
        reportTx(fromBlockchain: BytesLike, txId: BigNumberish, to: string, amount: BigNumberish, xTransferId: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        reporters(reporter: string, overrides?: CallOverrides): Promise<BigNumber>;
        reportingEnabled(overrides?: CallOverrides): Promise<BigNumber>;
        restoreRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setLimitIncPerBlock(newLimitIncPerBlock: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setMaxLockLimit(newMaxLockLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setMaxReleaseLimit(newMaxReleaseLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setMinLimit(newMinLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setMinRequiredReports(newMinRequiredReports: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        setReporter(reporter: string, active: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        token(overrides?: CallOverrides): Promise<BigNumber>;
        "transactionIds(uint256,address)"(txId: BigNumberish, reporter: string, overrides?: CallOverrides): Promise<BigNumber>;
        "transactionIds(uint256)"(xTransferID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        transactions(txId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        updateRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        upgrade(newReporters: string[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        "xTransfer(bytes32,bytes32,uint256,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        "xTransfer(bytes32,bytes32,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        xTransfersEnabled(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        VERSION(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        enableReporting(enable: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        enableXTransfers(enable: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        getCurrentLockLimit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getCurrentReleaseLimit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        limitIncPerBlock(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        maxLockLimit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        maxReleaseLimit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        minLimit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        minRequiredReports(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        newOwner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        owner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        prevLockBlockNumber(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        prevLockLimit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        prevRegistry(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        prevReleaseBlockNumber(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        prevReleaseLimit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        registry(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        reportTx(fromBlockchain: BytesLike, txId: BigNumberish, to: string, amount: BigNumberish, xTransferId: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        reporters(reporter: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        reportingEnabled(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        restoreRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setLimitIncPerBlock(newLimitIncPerBlock: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setMaxLockLimit(newMaxLockLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setMaxReleaseLimit(newMaxReleaseLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setMinLimit(newMinLimit: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setMinRequiredReports(newMinRequiredReports: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        setReporter(reporter: string, active: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        token(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "transactionIds(uint256,address)"(txId: BigNumberish, reporter: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "transactionIds(uint256)"(xTransferID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        transactions(txId: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        updateRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        upgrade(newReporters: string[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        "xTransfer(bytes32,bytes32,uint256,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        "xTransfer(bytes32,bytes32,uint256)"(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        xTransfersEnabled(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=BancorX.d.ts.map