import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface IBancorXInterface extends utils.Interface {
    functions: {
        "getXTransferAmount(uint256,address)": FunctionFragment;
        "token()": FunctionFragment;
        "xTransfer(bytes32,bytes32,uint256,uint256)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "getXTransferAmount" | "token" | "xTransfer"): FunctionFragment;
    encodeFunctionData(functionFragment: "getXTransferAmount", values: [BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "token", values?: undefined): string;
    encodeFunctionData(functionFragment: "xTransfer", values: [BytesLike, BytesLike, BigNumberish, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "getXTransferAmount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "token", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "xTransfer", data: BytesLike): Result;
    events: {};
}
export interface IBancorX extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IBancorXInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        token(overrides?: CallOverrides): Promise<[string]>;
        xTransfer(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<BigNumber>;
    token(overrides?: CallOverrides): Promise<string>;
    xTransfer(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<BigNumber>;
        token(overrides?: CallOverrides): Promise<string>;
        xTransfer(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<BigNumber>;
        token(overrides?: CallOverrides): Promise<BigNumber>;
        xTransfer(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        getXTransferAmount(xTransferId: BigNumberish, receiver: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        token(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        xTransfer(toBlockchain: BytesLike, to: BytesLike, amount: BigNumberish, id: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=IBancorX.d.ts.map