import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface IBancorXUpgraderInterface extends utils.Interface {
    functions: {
        "upgrade(uint16,address[])": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "upgrade"): FunctionFragment;
    encodeFunctionData(functionFragment: "upgrade", values: [BigNumberish, string[]]): string;
    decodeFunctionResult(functionFragment: "upgrade", data: BytesLike): Result;
    events: {};
}
export interface IBancorXUpgrader extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IBancorXUpgraderInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        upgrade(version: BigNumberish, reporters: string[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    upgrade(version: BigNumberish, reporters: string[], overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        upgrade(version: BigNumberish, reporters: string[], overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        upgrade(version: BigNumberish, reporters: string[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        upgrade(version: BigNumberish, reporters: string[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=IBancorXUpgrader.d.ts.map