import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface IConverterRegistryInterface extends utils.Interface {
    functions: {
        "getAnchor(uint256)": FunctionFragment;
        "getAnchorCount()": FunctionFragment;
        "getAnchors()": FunctionFragment;
        "getConvertibleToken(uint256)": FunctionFragment;
        "getConvertibleTokenAnchor(address,uint256)": FunctionFragment;
        "getConvertibleTokenAnchorCount(address)": FunctionFragment;
        "getConvertibleTokenAnchors(address)": FunctionFragment;
        "getConvertibleTokenCount()": FunctionFragment;
        "getConvertibleTokens()": FunctionFragment;
        "getLiquidityPool(uint256)": FunctionFragment;
        "getLiquidityPoolByConfig(uint16,address[],uint32[])": FunctionFragment;
        "getLiquidityPoolCount()": FunctionFragment;
        "getLiquidityPools()": FunctionFragment;
        "isAnchor(address)": FunctionFragment;
        "isConvertibleToken(address)": FunctionFragment;
        "isConvertibleTokenAnchor(address,address)": FunctionFragment;
        "isLiquidityPool(address)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "getAnchor" | "getAnchorCount" | "getAnchors" | "getConvertibleToken" | "getConvertibleTokenAnchor" | "getConvertibleTokenAnchorCount" | "getConvertibleTokenAnchors" | "getConvertibleTokenCount" | "getConvertibleTokens" | "getLiquidityPool" | "getLiquidityPoolByConfig" | "getLiquidityPoolCount" | "getLiquidityPools" | "isAnchor" | "isConvertibleToken" | "isConvertibleTokenAnchor" | "isLiquidityPool"): FunctionFragment;
    encodeFunctionData(functionFragment: "getAnchor", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getAnchorCount", values?: undefined): string;
    encodeFunctionData(functionFragment: "getAnchors", values?: undefined): string;
    encodeFunctionData(functionFragment: "getConvertibleToken", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getConvertibleTokenAnchor", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getConvertibleTokenAnchorCount", values: [string]): string;
    encodeFunctionData(functionFragment: "getConvertibleTokenAnchors", values: [string]): string;
    encodeFunctionData(functionFragment: "getConvertibleTokenCount", values?: undefined): string;
    encodeFunctionData(functionFragment: "getConvertibleTokens", values?: undefined): string;
    encodeFunctionData(functionFragment: "getLiquidityPool", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getLiquidityPoolByConfig", values: [BigNumberish, string[], BigNumberish[]]): string;
    encodeFunctionData(functionFragment: "getLiquidityPoolCount", values?: undefined): string;
    encodeFunctionData(functionFragment: "getLiquidityPools", values?: undefined): string;
    encodeFunctionData(functionFragment: "isAnchor", values: [string]): string;
    encodeFunctionData(functionFragment: "isConvertibleToken", values: [string]): string;
    encodeFunctionData(functionFragment: "isConvertibleTokenAnchor", values: [string, string]): string;
    encodeFunctionData(functionFragment: "isLiquidityPool", values: [string]): string;
    decodeFunctionResult(functionFragment: "getAnchor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getAnchorCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getAnchors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokenAnchor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokenAnchorCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokenAnchors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokenCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getLiquidityPool", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getLiquidityPoolByConfig", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getLiquidityPoolCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getLiquidityPools", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isAnchor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isConvertibleToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isConvertibleTokenAnchor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isLiquidityPool", data: BytesLike): Result;
    events: {};
}
export interface IConverterRegistry extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IConverterRegistryInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        getAnchor(index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getAnchorCount(overrides?: CallOverrides): Promise<[BigNumber]>;
        getAnchors(overrides?: CallOverrides): Promise<[string[]]>;
        getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getConvertibleTokenAnchor(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getConvertibleTokenAnchorCount(convertibleToken: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        getConvertibleTokenAnchors(convertibleToken: string, overrides?: CallOverrides): Promise<[string[]]>;
        getConvertibleTokenCount(overrides?: CallOverrides): Promise<[BigNumber]>;
        getConvertibleTokens(overrides?: CallOverrides): Promise<[string[]]>;
        getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getLiquidityPoolByConfig(converterType: BigNumberish, reserveTokens: string[], reserveWeights: BigNumberish[], overrides?: CallOverrides): Promise<[string]>;
        getLiquidityPoolCount(overrides?: CallOverrides): Promise<[BigNumber]>;
        getLiquidityPools(overrides?: CallOverrides): Promise<[string[]]>;
        isAnchor(value: string, overrides?: CallOverrides): Promise<[boolean]>;
        isConvertibleToken(value: string, overrides?: CallOverrides): Promise<[boolean]>;
        isConvertibleTokenAnchor(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<[boolean]>;
        isLiquidityPool(value: string, overrides?: CallOverrides): Promise<[boolean]>;
    };
    getAnchor(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getAnchorCount(overrides?: CallOverrides): Promise<BigNumber>;
    getAnchors(overrides?: CallOverrides): Promise<string[]>;
    getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getConvertibleTokenAnchor(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getConvertibleTokenAnchorCount(convertibleToken: string, overrides?: CallOverrides): Promise<BigNumber>;
    getConvertibleTokenAnchors(convertibleToken: string, overrides?: CallOverrides): Promise<string[]>;
    getConvertibleTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
    getConvertibleTokens(overrides?: CallOverrides): Promise<string[]>;
    getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getLiquidityPoolByConfig(converterType: BigNumberish, reserveTokens: string[], reserveWeights: BigNumberish[], overrides?: CallOverrides): Promise<string>;
    getLiquidityPoolCount(overrides?: CallOverrides): Promise<BigNumber>;
    getLiquidityPools(overrides?: CallOverrides): Promise<string[]>;
    isAnchor(value: string, overrides?: CallOverrides): Promise<boolean>;
    isConvertibleToken(value: string, overrides?: CallOverrides): Promise<boolean>;
    isConvertibleTokenAnchor(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<boolean>;
    isLiquidityPool(value: string, overrides?: CallOverrides): Promise<boolean>;
    callStatic: {
        getAnchor(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getAnchorCount(overrides?: CallOverrides): Promise<BigNumber>;
        getAnchors(overrides?: CallOverrides): Promise<string[]>;
        getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getConvertibleTokenAnchor(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getConvertibleTokenAnchorCount(convertibleToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenAnchors(convertibleToken: string, overrides?: CallOverrides): Promise<string[]>;
        getConvertibleTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokens(overrides?: CallOverrides): Promise<string[]>;
        getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getLiquidityPoolByConfig(converterType: BigNumberish, reserveTokens: string[], reserveWeights: BigNumberish[], overrides?: CallOverrides): Promise<string>;
        getLiquidityPoolCount(overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPools(overrides?: CallOverrides): Promise<string[]>;
        isAnchor(value: string, overrides?: CallOverrides): Promise<boolean>;
        isConvertibleToken(value: string, overrides?: CallOverrides): Promise<boolean>;
        isConvertibleTokenAnchor(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<boolean>;
        isLiquidityPool(value: string, overrides?: CallOverrides): Promise<boolean>;
    };
    filters: {};
    estimateGas: {
        getAnchor(index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getAnchorCount(overrides?: CallOverrides): Promise<BigNumber>;
        getAnchors(overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenAnchor(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenAnchorCount(convertibleToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenAnchors(convertibleToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokens(overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPoolByConfig(converterType: BigNumberish, reserveTokens: string[], reserveWeights: BigNumberish[], overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPoolCount(overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPools(overrides?: CallOverrides): Promise<BigNumber>;
        isAnchor(value: string, overrides?: CallOverrides): Promise<BigNumber>;
        isConvertibleToken(value: string, overrides?: CallOverrides): Promise<BigNumber>;
        isConvertibleTokenAnchor(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<BigNumber>;
        isLiquidityPool(value: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        getAnchor(index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getAnchorCount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getAnchors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokenAnchor(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokenAnchorCount(convertibleToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokenAnchors(convertibleToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokenCount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokens(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getLiquidityPoolByConfig(converterType: BigNumberish, reserveTokens: string[], reserveWeights: BigNumberish[], overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getLiquidityPoolCount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getLiquidityPools(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isAnchor(value: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isConvertibleToken(value: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isConvertibleTokenAnchor(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isLiquidityPool(value: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=IConverterRegistry.d.ts.map