import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface IConverterRegistryDataInterface extends utils.Interface {
    functions: {
        "addConvertibleToken(address,address)": FunctionFragment;
        "addLiquidityPool(address)": FunctionFragment;
        "addSmartToken(address)": FunctionFragment;
        "getConvertibleToken(uint256)": FunctionFragment;
        "getConvertibleTokenCount()": FunctionFragment;
        "getConvertibleTokenSmartToken(address,uint256)": FunctionFragment;
        "getConvertibleTokenSmartTokenCount(address)": FunctionFragment;
        "getConvertibleTokenSmartTokens(address)": FunctionFragment;
        "getConvertibleTokens()": FunctionFragment;
        "getLiquidityPool(uint256)": FunctionFragment;
        "getLiquidityPoolCount()": FunctionFragment;
        "getLiquidityPools()": FunctionFragment;
        "getSmartToken(uint256)": FunctionFragment;
        "getSmartTokenCount()": FunctionFragment;
        "getSmartTokens()": FunctionFragment;
        "isConvertibleToken(address)": FunctionFragment;
        "isConvertibleTokenSmartToken(address,address)": FunctionFragment;
        "isLiquidityPool(address)": FunctionFragment;
        "isSmartToken(address)": FunctionFragment;
        "removeConvertibleToken(address,address)": FunctionFragment;
        "removeLiquidityPool(address)": FunctionFragment;
        "removeSmartToken(address)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "addConvertibleToken" | "addLiquidityPool" | "addSmartToken" | "getConvertibleToken" | "getConvertibleTokenCount" | "getConvertibleTokenSmartToken" | "getConvertibleTokenSmartTokenCount" | "getConvertibleTokenSmartTokens" | "getConvertibleTokens" | "getLiquidityPool" | "getLiquidityPoolCount" | "getLiquidityPools" | "getSmartToken" | "getSmartTokenCount" | "getSmartTokens" | "isConvertibleToken" | "isConvertibleTokenSmartToken" | "isLiquidityPool" | "isSmartToken" | "removeConvertibleToken" | "removeLiquidityPool" | "removeSmartToken"): FunctionFragment;
    encodeFunctionData(functionFragment: "addConvertibleToken", values: [string, string]): string;
    encodeFunctionData(functionFragment: "addLiquidityPool", values: [string]): string;
    encodeFunctionData(functionFragment: "addSmartToken", values: [string]): string;
    encodeFunctionData(functionFragment: "getConvertibleToken", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getConvertibleTokenCount", values?: undefined): string;
    encodeFunctionData(functionFragment: "getConvertibleTokenSmartToken", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getConvertibleTokenSmartTokenCount", values: [string]): string;
    encodeFunctionData(functionFragment: "getConvertibleTokenSmartTokens", values: [string]): string;
    encodeFunctionData(functionFragment: "getConvertibleTokens", values?: undefined): string;
    encodeFunctionData(functionFragment: "getLiquidityPool", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getLiquidityPoolCount", values?: undefined): string;
    encodeFunctionData(functionFragment: "getLiquidityPools", values?: undefined): string;
    encodeFunctionData(functionFragment: "getSmartToken", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getSmartTokenCount", values?: undefined): string;
    encodeFunctionData(functionFragment: "getSmartTokens", values?: undefined): string;
    encodeFunctionData(functionFragment: "isConvertibleToken", values: [string]): string;
    encodeFunctionData(functionFragment: "isConvertibleTokenSmartToken", values: [string, string]): string;
    encodeFunctionData(functionFragment: "isLiquidityPool", values: [string]): string;
    encodeFunctionData(functionFragment: "isSmartToken", values: [string]): string;
    encodeFunctionData(functionFragment: "removeConvertibleToken", values: [string, string]): string;
    encodeFunctionData(functionFragment: "removeLiquidityPool", values: [string]): string;
    encodeFunctionData(functionFragment: "removeSmartToken", values: [string]): string;
    decodeFunctionResult(functionFragment: "addConvertibleToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "addLiquidityPool", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "addSmartToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokenCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokenSmartToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokenSmartTokenCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokenSmartTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getConvertibleTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getLiquidityPool", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getLiquidityPoolCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getLiquidityPools", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getSmartToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getSmartTokenCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getSmartTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isConvertibleToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isConvertibleTokenSmartToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isLiquidityPool", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isSmartToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "removeConvertibleToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "removeLiquidityPool", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "removeSmartToken", data: BytesLike): Result;
    events: {};
}
export interface IConverterRegistryData extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IConverterRegistryDataInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        addConvertibleToken(convertibleToken: string, anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        addLiquidityPool(liquidityPoolAnchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        addSmartToken(anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getConvertibleTokenCount(overrides?: CallOverrides): Promise<[BigNumber]>;
        getConvertibleTokenSmartToken(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getConvertibleTokenSmartTokenCount(convertibleToken: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        getConvertibleTokenSmartTokens(convertibleToken: string, overrides?: CallOverrides): Promise<[string[]]>;
        getConvertibleTokens(overrides?: CallOverrides): Promise<[string[]]>;
        getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getLiquidityPoolCount(overrides?: CallOverrides): Promise<[BigNumber]>;
        getLiquidityPools(overrides?: CallOverrides): Promise<[string[]]>;
        getSmartToken(index: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getSmartTokenCount(overrides?: CallOverrides): Promise<[BigNumber]>;
        getSmartTokens(overrides?: CallOverrides): Promise<[string[]]>;
        isConvertibleToken(value: string, overrides?: CallOverrides): Promise<[boolean]>;
        isConvertibleTokenSmartToken(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<[boolean]>;
        isLiquidityPool(value: string, overrides?: CallOverrides): Promise<[boolean]>;
        isSmartToken(value: string, overrides?: CallOverrides): Promise<[boolean]>;
        removeConvertibleToken(convertibleToken: string, anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        removeLiquidityPool(liquidityPoolAnchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        removeSmartToken(anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    addConvertibleToken(convertibleToken: string, anchor: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    addLiquidityPool(liquidityPoolAnchor: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    addSmartToken(anchor: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getConvertibleTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
    getConvertibleTokenSmartToken(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getConvertibleTokenSmartTokenCount(convertibleToken: string, overrides?: CallOverrides): Promise<BigNumber>;
    getConvertibleTokenSmartTokens(convertibleToken: string, overrides?: CallOverrides): Promise<string[]>;
    getConvertibleTokens(overrides?: CallOverrides): Promise<string[]>;
    getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getLiquidityPoolCount(overrides?: CallOverrides): Promise<BigNumber>;
    getLiquidityPools(overrides?: CallOverrides): Promise<string[]>;
    getSmartToken(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getSmartTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
    getSmartTokens(overrides?: CallOverrides): Promise<string[]>;
    isConvertibleToken(value: string, overrides?: CallOverrides): Promise<boolean>;
    isConvertibleTokenSmartToken(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<boolean>;
    isLiquidityPool(value: string, overrides?: CallOverrides): Promise<boolean>;
    isSmartToken(value: string, overrides?: CallOverrides): Promise<boolean>;
    removeConvertibleToken(convertibleToken: string, anchor: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    removeLiquidityPool(liquidityPoolAnchor: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    removeSmartToken(anchor: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        addConvertibleToken(convertibleToken: string, anchor: string, overrides?: CallOverrides): Promise<void>;
        addLiquidityPool(liquidityPoolAnchor: string, overrides?: CallOverrides): Promise<void>;
        addSmartToken(anchor: string, overrides?: CallOverrides): Promise<void>;
        getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getConvertibleTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenSmartToken(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getConvertibleTokenSmartTokenCount(convertibleToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenSmartTokens(convertibleToken: string, overrides?: CallOverrides): Promise<string[]>;
        getConvertibleTokens(overrides?: CallOverrides): Promise<string[]>;
        getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getLiquidityPoolCount(overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPools(overrides?: CallOverrides): Promise<string[]>;
        getSmartToken(index: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getSmartTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
        getSmartTokens(overrides?: CallOverrides): Promise<string[]>;
        isConvertibleToken(value: string, overrides?: CallOverrides): Promise<boolean>;
        isConvertibleTokenSmartToken(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<boolean>;
        isLiquidityPool(value: string, overrides?: CallOverrides): Promise<boolean>;
        isSmartToken(value: string, overrides?: CallOverrides): Promise<boolean>;
        removeConvertibleToken(convertibleToken: string, anchor: string, overrides?: CallOverrides): Promise<void>;
        removeLiquidityPool(liquidityPoolAnchor: string, overrides?: CallOverrides): Promise<void>;
        removeSmartToken(anchor: string, overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        addConvertibleToken(convertibleToken: string, anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        addLiquidityPool(liquidityPoolAnchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        addSmartToken(anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenSmartToken(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenSmartTokenCount(convertibleToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokenSmartTokens(convertibleToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        getConvertibleTokens(overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPoolCount(overrides?: CallOverrides): Promise<BigNumber>;
        getLiquidityPools(overrides?: CallOverrides): Promise<BigNumber>;
        getSmartToken(index: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getSmartTokenCount(overrides?: CallOverrides): Promise<BigNumber>;
        getSmartTokens(overrides?: CallOverrides): Promise<BigNumber>;
        isConvertibleToken(value: string, overrides?: CallOverrides): Promise<BigNumber>;
        isConvertibleTokenSmartToken(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<BigNumber>;
        isLiquidityPool(value: string, overrides?: CallOverrides): Promise<BigNumber>;
        isSmartToken(value: string, overrides?: CallOverrides): Promise<BigNumber>;
        removeConvertibleToken(convertibleToken: string, anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        removeLiquidityPool(liquidityPoolAnchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        removeSmartToken(anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        addConvertibleToken(convertibleToken: string, anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        addLiquidityPool(liquidityPoolAnchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        addSmartToken(anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        getConvertibleToken(index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokenCount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokenSmartToken(convertibleToken: string, index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokenSmartTokenCount(convertibleToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokenSmartTokens(convertibleToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getConvertibleTokens(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getLiquidityPool(index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getLiquidityPoolCount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getLiquidityPools(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getSmartToken(index: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getSmartTokenCount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getSmartTokens(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isConvertibleToken(value: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isConvertibleTokenSmartToken(convertibleToken: string, value: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isLiquidityPool(value: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isSmartToken(value: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        removeConvertibleToken(convertibleToken: string, anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        removeLiquidityPool(liquidityPoolAnchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        removeSmartToken(anchor: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=IConverterRegistryData.d.ts.map