import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface StandardPoolConverterFactoryInterface extends utils.Interface {
    functions: {
        "converterType()": FunctionFragment;
        "createConverter(address,address,uint32)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "converterType" | "createConverter"): FunctionFragment;
    encodeFunctionData(functionFragment: "converterType", values?: undefined): string;
    encodeFunctionData(functionFragment: "createConverter", values: [string, string, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "converterType", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createConverter", data: BytesLike): Result;
    events: {};
}
export interface StandardPoolConverterFactory extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: StandardPoolConverterFactoryInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        converterType(overrides?: CallOverrides): Promise<[number]>;
        createConverter(anchor: string, registry: string, maxConversionFee: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    converterType(overrides?: CallOverrides): Promise<number>;
    createConverter(anchor: string, registry: string, maxConversionFee: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        converterType(overrides?: CallOverrides): Promise<number>;
        createConverter(anchor: string, registry: string, maxConversionFee: BigNumberish, overrides?: CallOverrides): Promise<string>;
    };
    filters: {};
    estimateGas: {
        converterType(overrides?: CallOverrides): Promise<BigNumber>;
        createConverter(anchor: string, registry: string, maxConversionFee: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        converterType(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        createConverter(anchor: string, registry: string, maxConversionFee: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=StandardPoolConverterFactory.d.ts.map