import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface TestBancorNetworkInterface extends utils.Interface {
    functions: {
        "acceptOwnership()": FunctionFragment;
        "claimAndConvert(address[],uint256,uint256)": FunctionFragment;
        "claimAndConvert2(address[],uint256,uint256,address,uint256)": FunctionFragment;
        "claimAndConvertFor(address[],uint256,uint256,address)": FunctionFragment;
        "claimAndConvertFor2(address[],uint256,uint256,address,address,uint256)": FunctionFragment;
        "completeXConversion(address[],address,uint256,uint256,address)": FunctionFragment;
        "conversionPath(address,address)": FunctionFragment;
        "convert(address[],uint256,uint256)": FunctionFragment;
        "convert2(address[],uint256,uint256,address,uint256)": FunctionFragment;
        "convertByPath(address[],uint256,uint256,address,address,uint256)": FunctionFragment;
        "convertByPath2(address[],uint256,uint256,address)": FunctionFragment;
        "convertFor(address[],uint256,uint256,address)": FunctionFragment;
        "convertFor2(address[],uint256,uint256,address,address,uint256)": FunctionFragment;
        "getReturnByPath(address[],uint256)": FunctionFragment;
        "isV28OrHigherConverterExternal(address)": FunctionFragment;
        "newOwner()": FunctionFragment;
        "onlyOwnerCanUpdateRegistry()": FunctionFragment;
        "owner()": FunctionFragment;
        "prevRegistry()": FunctionFragment;
        "rateByPath(address[],uint256)": FunctionFragment;
        "registry()": FunctionFragment;
        "restoreRegistry()": FunctionFragment;
        "restrictRegistryUpdate(bool)": FunctionFragment;
        "transferOwnership(address)": FunctionFragment;
        "updateRegistry()": FunctionFragment;
        "withdrawTokens(address,address,uint256)": FunctionFragment;
        "withdrawTokensMultiple(address[],address,uint256[])": FunctionFragment;
        "xConvert(address[],uint256,uint256,bytes32,bytes32,uint256)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "acceptOwnership" | "claimAndConvert" | "claimAndConvert2" | "claimAndConvertFor" | "claimAndConvertFor2" | "completeXConversion" | "conversionPath" | "convert" | "convert2" | "convertByPath" | "convertByPath2" | "convertFor" | "convertFor2" | "getReturnByPath" | "isV28OrHigherConverterExternal" | "newOwner" | "onlyOwnerCanUpdateRegistry" | "owner" | "prevRegistry" | "rateByPath" | "registry" | "restoreRegistry" | "restrictRegistryUpdate" | "transferOwnership" | "updateRegistry" | "withdrawTokens" | "withdrawTokensMultiple" | "xConvert"): FunctionFragment;
    encodeFunctionData(functionFragment: "acceptOwnership", values?: undefined): string;
    encodeFunctionData(functionFragment: "claimAndConvert", values: [string[], BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "claimAndConvert2", values: [string[], BigNumberish, BigNumberish, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "claimAndConvertFor", values: [string[], BigNumberish, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "claimAndConvertFor2", values: [string[], BigNumberish, BigNumberish, string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "completeXConversion", values: [string[], string, BigNumberish, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "conversionPath", values: [string, string]): string;
    encodeFunctionData(functionFragment: "convert", values: [string[], BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "convert2", values: [string[], BigNumberish, BigNumberish, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "convertByPath", values: [string[], BigNumberish, BigNumberish, string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "convertByPath2", values: [string[], BigNumberish, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "convertFor", values: [string[], BigNumberish, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "convertFor2", values: [string[], BigNumberish, BigNumberish, string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getReturnByPath", values: [string[], BigNumberish]): string;
    encodeFunctionData(functionFragment: "isV28OrHigherConverterExternal", values: [string]): string;
    encodeFunctionData(functionFragment: "newOwner", values?: undefined): string;
    encodeFunctionData(functionFragment: "onlyOwnerCanUpdateRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "owner", values?: undefined): string;
    encodeFunctionData(functionFragment: "prevRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "rateByPath", values: [string[], BigNumberish]): string;
    encodeFunctionData(functionFragment: "registry", values?: undefined): string;
    encodeFunctionData(functionFragment: "restoreRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "restrictRegistryUpdate", values: [boolean]): string;
    encodeFunctionData(functionFragment: "transferOwnership", values: [string]): string;
    encodeFunctionData(functionFragment: "updateRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "withdrawTokens", values: [string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "withdrawTokensMultiple", values: [string[], string, BigNumberish[]]): string;
    encodeFunctionData(functionFragment: "xConvert", values: [
        string[],
        BigNumberish,
        BigNumberish,
        BytesLike,
        BytesLike,
        BigNumberish
    ]): string;
    decodeFunctionResult(functionFragment: "acceptOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "claimAndConvert", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "claimAndConvert2", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "claimAndConvertFor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "claimAndConvertFor2", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "completeXConversion", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "conversionPath", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "convert", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "convert2", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "convertByPath", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "convertByPath2", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "convertFor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "convertFor2", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getReturnByPath", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isV28OrHigherConverterExternal", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "newOwner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "onlyOwnerCanUpdateRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "owner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "prevRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "rateByPath", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "registry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "restoreRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "restrictRegistryUpdate", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "updateRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTokensMultiple", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "xConvert", data: BytesLike): Result;
    events: {
        "Conversion(address,address,address,uint256,uint256,address)": EventFragment;
        "OwnerUpdate(address,address)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "Conversion"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "OwnerUpdate"): EventFragment;
}
export interface ConversionEventObject {
    anchor: string;
    sourceToken: string;
    targetToken: string;
    sourceAmount: BigNumber;
    targetAmount: BigNumber;
    trader: string;
}
export declare type ConversionEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber,
    string
], ConversionEventObject>;
export declare type ConversionEventFilter = TypedEventFilter<ConversionEvent>;
export interface OwnerUpdateEventObject {
    prevOwner: string;
    newOwner: string;
}
export declare type OwnerUpdateEvent = TypedEvent<[
    string,
    string
], OwnerUpdateEventObject>;
export declare type OwnerUpdateEventFilter = TypedEventFilter<OwnerUpdateEvent>;
export interface TestBancorNetwork extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: TestBancorNetworkInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        claimAndConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        claimAndConvert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        claimAndConvertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        claimAndConvertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        completeXConversion(path: string[], bancorX: string, conversionId: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        conversionPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<[string[]]>;
        convert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        convert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        convertByPath(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        convertByPath2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        convertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        convertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        getReturnByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        isV28OrHigherConverterExternal(converter: string, overrides?: CallOverrides): Promise<[boolean]>;
        newOwner(overrides?: CallOverrides): Promise<[string]>;
        onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<[boolean]>;
        owner(overrides?: CallOverrides): Promise<[string]>;
        prevRegistry(overrides?: CallOverrides): Promise<[string]>;
        rateByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        registry(overrides?: CallOverrides): Promise<[string]>;
        restoreRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        updateRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        xConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, targetBlockchain: BytesLike, targetAccount: BytesLike, conversionId: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    acceptOwnership(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    claimAndConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    claimAndConvert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    claimAndConvertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    claimAndConvertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    completeXConversion(path: string[], bancorX: string, conversionId: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    conversionPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<string[]>;
    convert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    convert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    convertByPath(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    convertByPath2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    convertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    convertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    getReturnByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
    isV28OrHigherConverterExternal(converter: string, overrides?: CallOverrides): Promise<boolean>;
    newOwner(overrides?: CallOverrides): Promise<string>;
    onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<boolean>;
    owner(overrides?: CallOverrides): Promise<string>;
    prevRegistry(overrides?: CallOverrides): Promise<string>;
    rateByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    registry(overrides?: CallOverrides): Promise<string>;
    restoreRegistry(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    transferOwnership(newOwner: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    updateRegistry(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    xConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, targetBlockchain: BytesLike, targetAccount: BytesLike, conversionId: BigNumberish, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        acceptOwnership(overrides?: CallOverrides): Promise<void>;
        claimAndConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        claimAndConvert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        claimAndConvertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: CallOverrides): Promise<BigNumber>;
        claimAndConvertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        completeXConversion(path: string[], bancorX: string, conversionId: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: CallOverrides): Promise<BigNumber>;
        conversionPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<string[]>;
        convert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        convert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        convertByPath(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        convertByPath2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: CallOverrides): Promise<BigNumber>;
        convertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: CallOverrides): Promise<BigNumber>;
        convertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getReturnByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber]>;
        isV28OrHigherConverterExternal(converter: string, overrides?: CallOverrides): Promise<boolean>;
        newOwner(overrides?: CallOverrides): Promise<string>;
        onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<boolean>;
        owner(overrides?: CallOverrides): Promise<string>;
        prevRegistry(overrides?: CallOverrides): Promise<string>;
        rateByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        registry(overrides?: CallOverrides): Promise<string>;
        restoreRegistry(overrides?: CallOverrides): Promise<void>;
        restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: CallOverrides): Promise<void>;
        transferOwnership(newOwner: string, overrides?: CallOverrides): Promise<void>;
        updateRegistry(overrides?: CallOverrides): Promise<void>;
        withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: CallOverrides): Promise<void>;
        xConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, targetBlockchain: BytesLike, targetAccount: BytesLike, conversionId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {
        "Conversion(address,address,address,uint256,uint256,address)"(anchor?: string | null, sourceToken?: string | null, targetToken?: string | null, sourceAmount?: null, targetAmount?: null, trader?: null): ConversionEventFilter;
        Conversion(anchor?: string | null, sourceToken?: string | null, targetToken?: string | null, sourceAmount?: null, targetAmount?: null, trader?: null): ConversionEventFilter;
        "OwnerUpdate(address,address)"(prevOwner?: string | null, newOwner?: string | null): OwnerUpdateEventFilter;
        OwnerUpdate(prevOwner?: string | null, newOwner?: string | null): OwnerUpdateEventFilter;
    };
    estimateGas: {
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        claimAndConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        claimAndConvert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        claimAndConvertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        claimAndConvertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        completeXConversion(path: string[], bancorX: string, conversionId: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        conversionPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        convert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        convert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        convertByPath(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        convertByPath2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        convertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        convertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        getReturnByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        isV28OrHigherConverterExternal(converter: string, overrides?: CallOverrides): Promise<BigNumber>;
        newOwner(overrides?: CallOverrides): Promise<BigNumber>;
        onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<BigNumber>;
        owner(overrides?: CallOverrides): Promise<BigNumber>;
        prevRegistry(overrides?: CallOverrides): Promise<BigNumber>;
        rateByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        registry(overrides?: CallOverrides): Promise<BigNumber>;
        restoreRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        updateRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        xConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, targetBlockchain: BytesLike, targetAccount: BytesLike, conversionId: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        acceptOwnership(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        claimAndConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        claimAndConvert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        claimAndConvertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        claimAndConvertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        completeXConversion(path: string[], bancorX: string, conversionId: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        conversionPath(sourceToken: string, targetToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        convert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        convert2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, arg3: string, arg4: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        convertByPath(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        convertByPath2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        convertFor(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        convertFor2(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, beneficiary: string, arg4: string, arg5: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        getReturnByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isV28OrHigherConverterExternal(converter: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        newOwner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        onlyOwnerCanUpdateRegistry(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        owner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        prevRegistry(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        rateByPath(path: string[], sourceAmount: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        registry(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        restoreRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        restrictRegistryUpdate(restrictOwnerOnly: boolean, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        transferOwnership(newOwner: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        updateRegistry(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        withdrawTokens(reserveToken: string, to: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        withdrawTokensMultiple(reserveTokens: string[], to: string, amounts: BigNumberish[], overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        xConvert(path: string[], sourceAmount: BigNumberish, minReturn: BigNumberish, targetBlockchain: BytesLike, targetAccount: BytesLike, conversionId: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=TestBancorNetwork.d.ts.map