import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface ILiquidityProtectionSettingsInterface extends utils.Interface {
    functions: {
        "addLiquidityDisabled(address,address)": FunctionFragment;
        "averageRateMaxDeviation()": FunctionFragment;
        "defaultNetworkTokenMintingLimit()": FunctionFragment;
        "isPoolSupported(address)": FunctionFragment;
        "isPoolWhitelisted(address)": FunctionFragment;
        "lockDuration()": FunctionFragment;
        "maxProtectionDelay()": FunctionFragment;
        "minNetworkCompensation()": FunctionFragment;
        "minNetworkTokenLiquidityForMinting()": FunctionFragment;
        "minProtectionDelay()": FunctionFragment;
        "networkTokenMintingLimits(address)": FunctionFragment;
        "poolWhitelist()": FunctionFragment;
        "subscribers()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "addLiquidityDisabled" | "averageRateMaxDeviation" | "defaultNetworkTokenMintingLimit" | "isPoolSupported" | "isPoolWhitelisted" | "lockDuration" | "maxProtectionDelay" | "minNetworkCompensation" | "minNetworkTokenLiquidityForMinting" | "minProtectionDelay" | "networkTokenMintingLimits" | "poolWhitelist" | "subscribers"): FunctionFragment;
    encodeFunctionData(functionFragment: "addLiquidityDisabled", values: [string, string]): string;
    encodeFunctionData(functionFragment: "averageRateMaxDeviation", values?: undefined): string;
    encodeFunctionData(functionFragment: "defaultNetworkTokenMintingLimit", values?: undefined): string;
    encodeFunctionData(functionFragment: "isPoolSupported", values: [string]): string;
    encodeFunctionData(functionFragment: "isPoolWhitelisted", values: [string]): string;
    encodeFunctionData(functionFragment: "lockDuration", values?: undefined): string;
    encodeFunctionData(functionFragment: "maxProtectionDelay", values?: undefined): string;
    encodeFunctionData(functionFragment: "minNetworkCompensation", values?: undefined): string;
    encodeFunctionData(functionFragment: "minNetworkTokenLiquidityForMinting", values?: undefined): string;
    encodeFunctionData(functionFragment: "minProtectionDelay", values?: undefined): string;
    encodeFunctionData(functionFragment: "networkTokenMintingLimits", values: [string]): string;
    encodeFunctionData(functionFragment: "poolWhitelist", values?: undefined): string;
    encodeFunctionData(functionFragment: "subscribers", values?: undefined): string;
    decodeFunctionResult(functionFragment: "addLiquidityDisabled", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "averageRateMaxDeviation", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "defaultNetworkTokenMintingLimit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isPoolSupported", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isPoolWhitelisted", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lockDuration", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxProtectionDelay", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "minNetworkCompensation", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "minNetworkTokenLiquidityForMinting", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "minProtectionDelay", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "networkTokenMintingLimits", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "poolWhitelist", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "subscribers", data: BytesLike): Result;
    events: {};
}
export interface ILiquidityProtectionSettings extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: ILiquidityProtectionSettingsInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        addLiquidityDisabled(poolAnchor: string, reserveToken: string, overrides?: CallOverrides): Promise<[boolean]>;
        averageRateMaxDeviation(overrides?: CallOverrides): Promise<[number]>;
        defaultNetworkTokenMintingLimit(overrides?: CallOverrides): Promise<[BigNumber]>;
        isPoolSupported(poolAnchor: string, overrides?: CallOverrides): Promise<[boolean]>;
        isPoolWhitelisted(poolAnchor: string, overrides?: CallOverrides): Promise<[boolean]>;
        lockDuration(overrides?: CallOverrides): Promise<[BigNumber]>;
        maxProtectionDelay(overrides?: CallOverrides): Promise<[BigNumber]>;
        minNetworkCompensation(overrides?: CallOverrides): Promise<[BigNumber]>;
        minNetworkTokenLiquidityForMinting(overrides?: CallOverrides): Promise<[BigNumber]>;
        minProtectionDelay(overrides?: CallOverrides): Promise<[BigNumber]>;
        networkTokenMintingLimits(poolAnchor: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        poolWhitelist(overrides?: CallOverrides): Promise<[string[]]>;
        subscribers(overrides?: CallOverrides): Promise<[string[]]>;
    };
    addLiquidityDisabled(poolAnchor: string, reserveToken: string, overrides?: CallOverrides): Promise<boolean>;
    averageRateMaxDeviation(overrides?: CallOverrides): Promise<number>;
    defaultNetworkTokenMintingLimit(overrides?: CallOverrides): Promise<BigNumber>;
    isPoolSupported(poolAnchor: string, overrides?: CallOverrides): Promise<boolean>;
    isPoolWhitelisted(poolAnchor: string, overrides?: CallOverrides): Promise<boolean>;
    lockDuration(overrides?: CallOverrides): Promise<BigNumber>;
    maxProtectionDelay(overrides?: CallOverrides): Promise<BigNumber>;
    minNetworkCompensation(overrides?: CallOverrides): Promise<BigNumber>;
    minNetworkTokenLiquidityForMinting(overrides?: CallOverrides): Promise<BigNumber>;
    minProtectionDelay(overrides?: CallOverrides): Promise<BigNumber>;
    networkTokenMintingLimits(poolAnchor: string, overrides?: CallOverrides): Promise<BigNumber>;
    poolWhitelist(overrides?: CallOverrides): Promise<string[]>;
    subscribers(overrides?: CallOverrides): Promise<string[]>;
    callStatic: {
        addLiquidityDisabled(poolAnchor: string, reserveToken: string, overrides?: CallOverrides): Promise<boolean>;
        averageRateMaxDeviation(overrides?: CallOverrides): Promise<number>;
        defaultNetworkTokenMintingLimit(overrides?: CallOverrides): Promise<BigNumber>;
        isPoolSupported(poolAnchor: string, overrides?: CallOverrides): Promise<boolean>;
        isPoolWhitelisted(poolAnchor: string, overrides?: CallOverrides): Promise<boolean>;
        lockDuration(overrides?: CallOverrides): Promise<BigNumber>;
        maxProtectionDelay(overrides?: CallOverrides): Promise<BigNumber>;
        minNetworkCompensation(overrides?: CallOverrides): Promise<BigNumber>;
        minNetworkTokenLiquidityForMinting(overrides?: CallOverrides): Promise<BigNumber>;
        minProtectionDelay(overrides?: CallOverrides): Promise<BigNumber>;
        networkTokenMintingLimits(poolAnchor: string, overrides?: CallOverrides): Promise<BigNumber>;
        poolWhitelist(overrides?: CallOverrides): Promise<string[]>;
        subscribers(overrides?: CallOverrides): Promise<string[]>;
    };
    filters: {};
    estimateGas: {
        addLiquidityDisabled(poolAnchor: string, reserveToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        averageRateMaxDeviation(overrides?: CallOverrides): Promise<BigNumber>;
        defaultNetworkTokenMintingLimit(overrides?: CallOverrides): Promise<BigNumber>;
        isPoolSupported(poolAnchor: string, overrides?: CallOverrides): Promise<BigNumber>;
        isPoolWhitelisted(poolAnchor: string, overrides?: CallOverrides): Promise<BigNumber>;
        lockDuration(overrides?: CallOverrides): Promise<BigNumber>;
        maxProtectionDelay(overrides?: CallOverrides): Promise<BigNumber>;
        minNetworkCompensation(overrides?: CallOverrides): Promise<BigNumber>;
        minNetworkTokenLiquidityForMinting(overrides?: CallOverrides): Promise<BigNumber>;
        minProtectionDelay(overrides?: CallOverrides): Promise<BigNumber>;
        networkTokenMintingLimits(poolAnchor: string, overrides?: CallOverrides): Promise<BigNumber>;
        poolWhitelist(overrides?: CallOverrides): Promise<BigNumber>;
        subscribers(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        addLiquidityDisabled(poolAnchor: string, reserveToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        averageRateMaxDeviation(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        defaultNetworkTokenMintingLimit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isPoolSupported(poolAnchor: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isPoolWhitelisted(poolAnchor: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lockDuration(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        maxProtectionDelay(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        minNetworkCompensation(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        minNetworkTokenLiquidityForMinting(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        minProtectionDelay(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        networkTokenMintingLimits(poolAnchor: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        poolWhitelist(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        subscribers(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=ILiquidityProtectionSettings.d.ts.map