import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface ReserveTokenInterface extends utils.Interface {
    functions: {
        "NATIVE_TOKEN_ADDRESS()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "NATIVE_TOKEN_ADDRESS"): FunctionFragment;
    encodeFunctionData(functionFragment: "NATIVE_TOKEN_ADDRESS", values?: undefined): string;
    decodeFunctionResult(functionFragment: "NATIVE_TOKEN_ADDRESS", data: BytesLike): Result;
    events: {};
}
export interface ReserveToken extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: ReserveTokenInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        NATIVE_TOKEN_ADDRESS(overrides?: CallOverrides): Promise<[string]>;
    };
    NATIVE_TOKEN_ADDRESS(overrides?: CallOverrides): Promise<string>;
    callStatic: {
        NATIVE_TOKEN_ADDRESS(overrides?: CallOverrides): Promise<string>;
    };
    filters: {};
    estimateGas: {
        NATIVE_TOKEN_ADDRESS(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        NATIVE_TOKEN_ADDRESS(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=ReserveToken.d.ts.map