import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface IBancorNetworkV3Interface extends utils.Interface {
    functions: {
        "tradeBySourceAmount(address,address,uint256,uint256,uint256,address)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "tradeBySourceAmount"): FunctionFragment;
    encodeFunctionData(functionFragment: "tradeBySourceAmount", values: [string, string, BigNumberish, BigNumberish, BigNumberish, string]): string;
    decodeFunctionResult(functionFragment: "tradeBySourceAmount", data: BytesLike): Result;
    events: {};
}
export interface IBancorNetworkV3 extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IBancorNetworkV3Interface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        tradeBySourceAmount(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, minReturnAmount: BigNumberish, deadline: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    tradeBySourceAmount(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, minReturnAmount: BigNumberish, deadline: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        tradeBySourceAmount(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, minReturnAmount: BigNumberish, deadline: BigNumberish, beneficiary: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {};
    estimateGas: {
        tradeBySourceAmount(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, minReturnAmount: BigNumberish, deadline: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        tradeBySourceAmount(sourceToken: string, targetToken: string, sourceAmount: BigNumberish, minReturnAmount: BigNumberish, deadline: BigNumberish, beneficiary: string, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=IBancorNetworkV3.d.ts.map