import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
export interface IVortexBurnerInterface extends utils.Interface {
    functions: {
        "totalBurnedAmount()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "totalBurnedAmount"): FunctionFragment;
    encodeFunctionData(functionFragment: "totalBurnedAmount", values?: undefined): string;
    decodeFunctionResult(functionFragment: "totalBurnedAmount", data: BytesLike): Result;
    events: {};
}
export interface IVortexBurner extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IVortexBurnerInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        totalBurnedAmount(overrides?: CallOverrides): Promise<[BigNumber]>;
    };
    totalBurnedAmount(overrides?: CallOverrides): Promise<BigNumber>;
    callStatic: {
        totalBurnedAmount(overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {};
    estimateGas: {
        totalBurnedAmount(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        totalBurnedAmount(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=IVortexBurner.d.ts.map