import type { ConverterVersion, ConverterVersionInterface } from "../../../contracts/converter/ConverterVersion";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import { Signer, ContractFactory, Overrides } from "ethers";
declare type ConverterVersionConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class ConverterVersion__factory extends ContractFactory {
    constructor(...args: ConverterVersionConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ConverterVersion>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): ConverterVersion;
    connect(signer: Signer): ConverterVersion__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50605c8061001e6000396000f3fe6080604052348015600f57600080fd5b506004361060285760003560e01c806354fd4d5014602d575b600080fd5b6033604a565b6040805161ffff9092168252519081900360200190f35b602f8156fea164736f6c634300060c000a";
    static readonly abi: {
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ConverterVersionInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ConverterVersion;
}
export {};
//# sourceMappingURL=ConverterVersion__factory.d.ts.map