/* Autogenerated file. Do not edit manually. */

/* tslint:disable */

/* eslint-disable */
import type {
  TypedEventFilter,
  TypedEvent,
  TypedListener,
  OnEvent,
} from "../common";
import type {
  FunctionFragment,
  Result,
  EventFragment,
} from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type {
  BaseContract,
  BigNumber,
  BigNumberish,
  BytesLike,
  CallOverrides,
  ContractTransaction,
  Overrides,
  PopulatedTransaction,
  Signer,
  utils,
} from "ethers";

export interface NetworkSettingsInterface extends utils.Interface {
  functions: {
    "acceptOwnership()": FunctionFragment;
    "networkFee()": FunctionFragment;
    "networkFeeParams()": FunctionFragment;
    "networkFeeWallet()": FunctionFragment;
    "newOwner()": FunctionFragment;
    "owner()": FunctionFragment;
    "setNetworkFee(uint32)": FunctionFragment;
    "setNetworkFeeWallet(address)": FunctionFragment;
    "transferOwnership(address)": FunctionFragment;
  };

  getFunction(
    nameOrSignatureOrTopic:
      | "acceptOwnership"
      | "networkFee"
      | "networkFeeParams"
      | "networkFeeWallet"
      | "newOwner"
      | "owner"
      | "setNetworkFee"
      | "setNetworkFeeWallet"
      | "transferOwnership"
  ): FunctionFragment;

  encodeFunctionData(
    functionFragment: "acceptOwnership",
    values?: undefined
  ): string;
  encodeFunctionData(
    functionFragment: "networkFee",
    values?: undefined
  ): string;
  encodeFunctionData(
    functionFragment: "networkFeeParams",
    values?: undefined
  ): string;
  encodeFunctionData(
    functionFragment: "networkFeeWallet",
    values?: undefined
  ): string;
  encodeFunctionData(functionFragment: "newOwner", values?: undefined): string;
  encodeFunctionData(functionFragment: "owner", values?: undefined): string;
  encodeFunctionData(
    functionFragment: "setNetworkFee",
    values: [BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "setNetworkFeeWallet",
    values: [string]
  ): string;
  encodeFunctionData(
    functionFragment: "transferOwnership",
    values: [string]
  ): string;

  decodeFunctionResult(
    functionFragment: "acceptOwnership",
    data: BytesLike
  ): Result;
  decodeFunctionResult(functionFragment: "networkFee", data: BytesLike): Result;
  decodeFunctionResult(
    functionFragment: "networkFeeParams",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "networkFeeWallet",
    data: BytesLike
  ): Result;
  decodeFunctionResult(functionFragment: "newOwner", data: BytesLike): Result;
  decodeFunctionResult(functionFragment: "owner", data: BytesLike): Result;
  decodeFunctionResult(
    functionFragment: "setNetworkFee",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "setNetworkFeeWallet",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "transferOwnership",
    data: BytesLike
  ): Result;

  events: {
    "NetworkFeeUpdated(uint32,uint32)": EventFragment;
    "NetworkFeeWalletUpdated(address,address)": EventFragment;
    "OwnerUpdate(address,address)": EventFragment;
  };

  getEvent(nameOrSignatureOrTopic: "NetworkFeeUpdated"): EventFragment;
  getEvent(nameOrSignatureOrTopic: "NetworkFeeWalletUpdated"): EventFragment;
  getEvent(nameOrSignatureOrTopic: "OwnerUpdate"): EventFragment;
}

export interface NetworkFeeUpdatedEventObject {
  prevNetworkFee: number;
  newNetworkFee: number;
}
export type NetworkFeeUpdatedEvent = TypedEvent<
  [number, number],
  NetworkFeeUpdatedEventObject
>;

export type NetworkFeeUpdatedEventFilter =
  TypedEventFilter<NetworkFeeUpdatedEvent>;

export interface NetworkFeeWalletUpdatedEventObject {
  prevNetworkFeeWallet: string;
  newNetworkFeeWallet: string;
}
export type NetworkFeeWalletUpdatedEvent = TypedEvent<
  [string, string],
  NetworkFeeWalletUpdatedEventObject
>;

export type NetworkFeeWalletUpdatedEventFilter =
  TypedEventFilter<NetworkFeeWalletUpdatedEvent>;

export interface OwnerUpdateEventObject {
  prevOwner: string;
  newOwner: string;
}
export type OwnerUpdateEvent = TypedEvent<
  [string, string],
  OwnerUpdateEventObject
>;

export type OwnerUpdateEventFilter = TypedEventFilter<OwnerUpdateEvent>;

export interface NetworkSettings extends BaseContract {
  connect(signerOrProvider: Signer | Provider | string): this;
  attach(addressOrName: string): this;
  deployed(): Promise<this>;

  interface: NetworkSettingsInterface;

  queryFilter<TEvent extends TypedEvent>(
    event: TypedEventFilter<TEvent>,
    fromBlockOrBlockhash?: string | number | undefined,
    toBlock?: string | number | undefined
  ): Promise<Array<TEvent>>;

  listeners<TEvent extends TypedEvent>(
    eventFilter?: TypedEventFilter<TEvent>
  ): Array<TypedListener<TEvent>>;
  listeners(eventName?: string): Array<Listener>;
  removeAllListeners<TEvent extends TypedEvent>(
    eventFilter: TypedEventFilter<TEvent>
  ): this;
  removeAllListeners(eventName?: string): this;
  off: OnEvent<this>;
  on: OnEvent<this>;
  once: OnEvent<this>;
  removeListener: OnEvent<this>;

  functions: {
    acceptOwnership(
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    networkFee(overrides?: CallOverrides): Promise<[number]>;

    networkFeeParams(overrides?: CallOverrides): Promise<[string, number]>;

    networkFeeWallet(overrides?: CallOverrides): Promise<[string]>;

    newOwner(overrides?: CallOverrides): Promise<[string]>;

    owner(overrides?: CallOverrides): Promise<[string]>;

    setNetworkFee(
      newNetworkFee: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    setNetworkFeeWallet(
      newNetworkFeeWallet: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    transferOwnership(
      newOwner: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;
  };

  acceptOwnership(
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  networkFee(overrides?: CallOverrides): Promise<number>;

  networkFeeParams(overrides?: CallOverrides): Promise<[string, number]>;

  networkFeeWallet(overrides?: CallOverrides): Promise<string>;

  newOwner(overrides?: CallOverrides): Promise<string>;

  owner(overrides?: CallOverrides): Promise<string>;

  setNetworkFee(
    newNetworkFee: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  setNetworkFeeWallet(
    newNetworkFeeWallet: string,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  transferOwnership(
    newOwner: string,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  callStatic: {
    acceptOwnership(overrides?: CallOverrides): Promise<void>;

    networkFee(overrides?: CallOverrides): Promise<number>;

    networkFeeParams(overrides?: CallOverrides): Promise<[string, number]>;

    networkFeeWallet(overrides?: CallOverrides): Promise<string>;

    newOwner(overrides?: CallOverrides): Promise<string>;

    owner(overrides?: CallOverrides): Promise<string>;

    setNetworkFee(
      newNetworkFee: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    setNetworkFeeWallet(
      newNetworkFeeWallet: string,
      overrides?: CallOverrides
    ): Promise<void>;

    transferOwnership(
      newOwner: string,
      overrides?: CallOverrides
    ): Promise<void>;
  };

  filters: {
    "NetworkFeeUpdated(uint32,uint32)"(
      prevNetworkFee?: null,
      newNetworkFee?: null
    ): NetworkFeeUpdatedEventFilter;
    NetworkFeeUpdated(
      prevNetworkFee?: null,
      newNetworkFee?: null
    ): NetworkFeeUpdatedEventFilter;

    "NetworkFeeWalletUpdated(address,address)"(
      prevNetworkFeeWallet?: null,
      newNetworkFeeWallet?: null
    ): NetworkFeeWalletUpdatedEventFilter;
    NetworkFeeWalletUpdated(
      prevNetworkFeeWallet?: null,
      newNetworkFeeWallet?: null
    ): NetworkFeeWalletUpdatedEventFilter;

    "OwnerUpdate(address,address)"(
      prevOwner?: string | null,
      newOwner?: string | null
    ): OwnerUpdateEventFilter;
    OwnerUpdate(
      prevOwner?: string | null,
      newOwner?: string | null
    ): OwnerUpdateEventFilter;
  };

  estimateGas: {
    acceptOwnership(
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    networkFee(overrides?: CallOverrides): Promise<BigNumber>;

    networkFeeParams(overrides?: CallOverrides): Promise<BigNumber>;

    networkFeeWallet(overrides?: CallOverrides): Promise<BigNumber>;

    newOwner(overrides?: CallOverrides): Promise<BigNumber>;

    owner(overrides?: CallOverrides): Promise<BigNumber>;

    setNetworkFee(
      newNetworkFee: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    setNetworkFeeWallet(
      newNetworkFeeWallet: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    transferOwnership(
      newOwner: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;
  };

  populateTransaction: {
    acceptOwnership(
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    networkFee(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    networkFeeParams(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    networkFeeWallet(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    newOwner(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    owner(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    setNetworkFee(
      newNetworkFee: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    setNetworkFeeWallet(
      newNetworkFeeWallet: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    transferOwnership(
      newOwner: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;
  };
}
