/* Autogenerated file. Do not edit manually. */

/* tslint:disable */

/* eslint-disable */
import type {
  TypedEventFilter,
  TypedEvent,
  TypedListener,
  OnEvent,
} from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type {
  BaseContract,
  BigNumber,
  BigNumberish,
  BytesLike,
  CallOverrides,
  ContractTransaction,
  Overrides,
  PopulatedTransaction,
  Signer,
  utils,
} from "ethers";

export interface ILiquidityProtectionSystemStoreInterface
  extends utils.Interface {
  functions: {
    "decNetworkTokensMinted(address,uint256)": FunctionFragment;
    "decSystemBalance(address,uint256)": FunctionFragment;
    "incNetworkTokensMinted(address,uint256)": FunctionFragment;
    "incSystemBalance(address,uint256)": FunctionFragment;
    "networkTokensMinted(address)": FunctionFragment;
    "systemBalance(address)": FunctionFragment;
  };

  getFunction(
    nameOrSignatureOrTopic:
      | "decNetworkTokensMinted"
      | "decSystemBalance"
      | "incNetworkTokensMinted"
      | "incSystemBalance"
      | "networkTokensMinted"
      | "systemBalance"
  ): FunctionFragment;

  encodeFunctionData(
    functionFragment: "decNetworkTokensMinted",
    values: [string, BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "decSystemBalance",
    values: [string, BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "incNetworkTokensMinted",
    values: [string, BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "incSystemBalance",
    values: [string, BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "networkTokensMinted",
    values: [string]
  ): string;
  encodeFunctionData(
    functionFragment: "systemBalance",
    values: [string]
  ): string;

  decodeFunctionResult(
    functionFragment: "decNetworkTokensMinted",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "decSystemBalance",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "incNetworkTokensMinted",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "incSystemBalance",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "networkTokensMinted",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "systemBalance",
    data: BytesLike
  ): Result;

  events: {};
}

export interface ILiquidityProtectionSystemStore extends BaseContract {
  connect(signerOrProvider: Signer | Provider | string): this;
  attach(addressOrName: string): this;
  deployed(): Promise<this>;

  interface: ILiquidityProtectionSystemStoreInterface;

  queryFilter<TEvent extends TypedEvent>(
    event: TypedEventFilter<TEvent>,
    fromBlockOrBlockhash?: string | number | undefined,
    toBlock?: string | number | undefined
  ): Promise<Array<TEvent>>;

  listeners<TEvent extends TypedEvent>(
    eventFilter?: TypedEventFilter<TEvent>
  ): Array<TypedListener<TEvent>>;
  listeners(eventName?: string): Array<Listener>;
  removeAllListeners<TEvent extends TypedEvent>(
    eventFilter: TypedEventFilter<TEvent>
  ): this;
  removeAllListeners(eventName?: string): this;
  off: OnEvent<this>;
  on: OnEvent<this>;
  once: OnEvent<this>;
  removeListener: OnEvent<this>;

  functions: {
    decNetworkTokensMinted(
      poolAnchor: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    decSystemBalance(
      poolToken: string,
      poolAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    incNetworkTokensMinted(
      poolAnchor: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    incSystemBalance(
      poolToken: string,
      poolAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    networkTokensMinted(
      poolAnchor: string,
      overrides?: CallOverrides
    ): Promise<[BigNumber]>;

    systemBalance(
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<[BigNumber]>;
  };

  decNetworkTokensMinted(
    poolAnchor: string,
    amount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  decSystemBalance(
    poolToken: string,
    poolAmount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  incNetworkTokensMinted(
    poolAnchor: string,
    amount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  incSystemBalance(
    poolToken: string,
    poolAmount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  networkTokensMinted(
    poolAnchor: string,
    overrides?: CallOverrides
  ): Promise<BigNumber>;

  systemBalance(
    poolToken: string,
    overrides?: CallOverrides
  ): Promise<BigNumber>;

  callStatic: {
    decNetworkTokensMinted(
      poolAnchor: string,
      amount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    decSystemBalance(
      poolToken: string,
      poolAmount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    incNetworkTokensMinted(
      poolAnchor: string,
      amount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    incSystemBalance(
      poolToken: string,
      poolAmount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    networkTokensMinted(
      poolAnchor: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    systemBalance(
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;
  };

  filters: {};

  estimateGas: {
    decNetworkTokensMinted(
      poolAnchor: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    decSystemBalance(
      poolToken: string,
      poolAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    incNetworkTokensMinted(
      poolAnchor: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    incSystemBalance(
      poolToken: string,
      poolAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    networkTokensMinted(
      poolAnchor: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    systemBalance(
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;
  };

  populateTransaction: {
    decNetworkTokensMinted(
      poolAnchor: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    decSystemBalance(
      poolToken: string,
      poolAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    incNetworkTokensMinted(
      poolAnchor: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    incSystemBalance(
      poolToken: string,
      poolAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    networkTokensMinted(
      poolAnchor: string,
      overrides?: CallOverrides
    ): Promise<PopulatedTransaction>;

    systemBalance(
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<PopulatedTransaction>;
  };
}
