/* Autogenerated file. Do not edit manually. */

/* tslint:disable */

/* eslint-disable */
import type {
  TypedEventFilter,
  TypedEvent,
  TypedListener,
  OnEvent,
} from "../../../common";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type {
  BaseContract,
  BigNumber,
  BigNumberish,
  BytesLike,
  CallOverrides,
  ContractTransaction,
  Overrides,
  PopulatedTransaction,
  Signer,
  utils,
} from "ethers";

export interface ILiquidityProvisionEventsSubscriberInterface
  extends utils.Interface {
  functions: {
    "onAddingLiquidity(address,address,address,uint256,uint256)": FunctionFragment;
    "onRemovingLiquidity(uint256,address,address,address,uint256,uint256)": FunctionFragment;
  };

  getFunction(
    nameOrSignatureOrTopic: "onAddingLiquidity" | "onRemovingLiquidity"
  ): FunctionFragment;

  encodeFunctionData(
    functionFragment: "onAddingLiquidity",
    values: [string, string, string, BigNumberish, BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "onRemovingLiquidity",
    values: [BigNumberish, string, string, string, BigNumberish, BigNumberish]
  ): string;

  decodeFunctionResult(
    functionFragment: "onAddingLiquidity",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "onRemovingLiquidity",
    data: BytesLike
  ): Result;

  events: {};
}

export interface ILiquidityProvisionEventsSubscriber extends BaseContract {
  connect(signerOrProvider: Signer | Provider | string): this;
  attach(addressOrName: string): this;
  deployed(): Promise<this>;

  interface: ILiquidityProvisionEventsSubscriberInterface;

  queryFilter<TEvent extends TypedEvent>(
    event: TypedEventFilter<TEvent>,
    fromBlockOrBlockhash?: string | number | undefined,
    toBlock?: string | number | undefined
  ): Promise<Array<TEvent>>;

  listeners<TEvent extends TypedEvent>(
    eventFilter?: TypedEventFilter<TEvent>
  ): Array<TypedListener<TEvent>>;
  listeners(eventName?: string): Array<Listener>;
  removeAllListeners<TEvent extends TypedEvent>(
    eventFilter: TypedEventFilter<TEvent>
  ): this;
  removeAllListeners(eventName?: string): this;
  off: OnEvent<this>;
  on: OnEvent<this>;
  once: OnEvent<this>;
  removeListener: OnEvent<this>;

  functions: {
    onAddingLiquidity(
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    onRemovingLiquidity(
      id: BigNumberish,
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;
  };

  onAddingLiquidity(
    provider: string,
    poolAnchor: string,
    reserveToken: string,
    poolAmount: BigNumberish,
    reserveAmount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  onRemovingLiquidity(
    id: BigNumberish,
    provider: string,
    poolAnchor: string,
    reserveToken: string,
    poolAmount: BigNumberish,
    reserveAmount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  callStatic: {
    onAddingLiquidity(
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    onRemovingLiquidity(
      id: BigNumberish,
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;
  };

  filters: {};

  estimateGas: {
    onAddingLiquidity(
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    onRemovingLiquidity(
      id: BigNumberish,
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;
  };

  populateTransaction: {
    onAddingLiquidity(
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    onRemovingLiquidity(
      id: BigNumberish,
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;
  };
}
