/* Autogenerated file. Do not edit manually. */

/* tslint:disable */

/* eslint-disable */
import type {
  TypedEventFilter,
  TypedEvent,
  TypedListener,
  OnEvent,
} from "../../../common";
import type {
  FunctionFragment,
  Result,
  EventFragment,
} from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type {
  BaseContract,
  BigNumber,
  BigNumberish,
  BytesLike,
  CallOverrides,
  ContractTransaction,
  Overrides,
  PopulatedTransaction,
  Signer,
  utils,
} from "ethers";

export interface IStakingRewardsInterface extends utils.Interface {
  functions: {
    "claimRewards()": FunctionFragment;
    "onAddingLiquidity(address,address,address,uint256,uint256)": FunctionFragment;
    "onRemovingLiquidity(uint256,address,address,address,uint256,uint256)": FunctionFragment;
    "pendingPoolRewards(address,address)": FunctionFragment;
    "pendingReserveRewards(address,address,address)": FunctionFragment;
    "pendingRewards(address)": FunctionFragment;
    "rewardsMultiplier(address,address,address)": FunctionFragment;
    "stakeReserveRewards(address,address,uint256,address)": FunctionFragment;
    "stakeRewards(uint256,address)": FunctionFragment;
    "store()": FunctionFragment;
    "storePoolRewards(address[],address)": FunctionFragment;
    "totalClaimedRewards(address)": FunctionFragment;
  };

  getFunction(
    nameOrSignatureOrTopic:
      | "claimRewards"
      | "onAddingLiquidity"
      | "onRemovingLiquidity"
      | "pendingPoolRewards"
      | "pendingReserveRewards"
      | "pendingRewards"
      | "rewardsMultiplier"
      | "stakeReserveRewards"
      | "stakeRewards"
      | "store"
      | "storePoolRewards"
      | "totalClaimedRewards"
  ): FunctionFragment;

  encodeFunctionData(
    functionFragment: "claimRewards",
    values?: undefined
  ): string;
  encodeFunctionData(
    functionFragment: "onAddingLiquidity",
    values: [string, string, string, BigNumberish, BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "onRemovingLiquidity",
    values: [BigNumberish, string, string, string, BigNumberish, BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "pendingPoolRewards",
    values: [string, string]
  ): string;
  encodeFunctionData(
    functionFragment: "pendingReserveRewards",
    values: [string, string, string]
  ): string;
  encodeFunctionData(
    functionFragment: "pendingRewards",
    values: [string]
  ): string;
  encodeFunctionData(
    functionFragment: "rewardsMultiplier",
    values: [string, string, string]
  ): string;
  encodeFunctionData(
    functionFragment: "stakeReserveRewards",
    values: [string, string, BigNumberish, string]
  ): string;
  encodeFunctionData(
    functionFragment: "stakeRewards",
    values: [BigNumberish, string]
  ): string;
  encodeFunctionData(functionFragment: "store", values?: undefined): string;
  encodeFunctionData(
    functionFragment: "storePoolRewards",
    values: [string[], string]
  ): string;
  encodeFunctionData(
    functionFragment: "totalClaimedRewards",
    values: [string]
  ): string;

  decodeFunctionResult(
    functionFragment: "claimRewards",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "onAddingLiquidity",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "onRemovingLiquidity",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "pendingPoolRewards",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "pendingReserveRewards",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "pendingRewards",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "rewardsMultiplier",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "stakeReserveRewards",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "stakeRewards",
    data: BytesLike
  ): Result;
  decodeFunctionResult(functionFragment: "store", data: BytesLike): Result;
  decodeFunctionResult(
    functionFragment: "storePoolRewards",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "totalClaimedRewards",
    data: BytesLike
  ): Result;

  events: {
    "RewardsClaimed(address,uint256)": EventFragment;
    "RewardsStaked(address,address,uint256,uint256)": EventFragment;
  };

  getEvent(nameOrSignatureOrTopic: "RewardsClaimed"): EventFragment;
  getEvent(nameOrSignatureOrTopic: "RewardsStaked"): EventFragment;
}

export interface RewardsClaimedEventObject {
  provider: string;
  amount: BigNumber;
}
export type RewardsClaimedEvent = TypedEvent<
  [string, BigNumber],
  RewardsClaimedEventObject
>;

export type RewardsClaimedEventFilter = TypedEventFilter<RewardsClaimedEvent>;

export interface RewardsStakedEventObject {
  provider: string;
  poolToken: string;
  amount: BigNumber;
  newId: BigNumber;
}
export type RewardsStakedEvent = TypedEvent<
  [string, string, BigNumber, BigNumber],
  RewardsStakedEventObject
>;

export type RewardsStakedEventFilter = TypedEventFilter<RewardsStakedEvent>;

export interface IStakingRewards extends BaseContract {
  connect(signerOrProvider: Signer | Provider | string): this;
  attach(addressOrName: string): this;
  deployed(): Promise<this>;

  interface: IStakingRewardsInterface;

  queryFilter<TEvent extends TypedEvent>(
    event: TypedEventFilter<TEvent>,
    fromBlockOrBlockhash?: string | number | undefined,
    toBlock?: string | number | undefined
  ): Promise<Array<TEvent>>;

  listeners<TEvent extends TypedEvent>(
    eventFilter?: TypedEventFilter<TEvent>
  ): Array<TypedListener<TEvent>>;
  listeners(eventName?: string): Array<Listener>;
  removeAllListeners<TEvent extends TypedEvent>(
    eventFilter: TypedEventFilter<TEvent>
  ): this;
  removeAllListeners(eventName?: string): this;
  off: OnEvent<this>;
  on: OnEvent<this>;
  once: OnEvent<this>;
  removeListener: OnEvent<this>;

  functions: {
    claimRewards(
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    onAddingLiquidity(
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    onRemovingLiquidity(
      id: BigNumberish,
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    pendingPoolRewards(
      provider: string,
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<[BigNumber]>;

    pendingReserveRewards(
      provider: string,
      poolToken: string,
      reserveToken: string,
      overrides?: CallOverrides
    ): Promise<[BigNumber]>;

    pendingRewards(
      provider: string,
      overrides?: CallOverrides
    ): Promise<[BigNumber]>;

    rewardsMultiplier(
      provider: string,
      poolToken: string,
      reserveToken: string,
      overrides?: CallOverrides
    ): Promise<[number]>;

    stakeReserveRewards(
      poolToken: string,
      reserveToken: string,
      maxAmount: BigNumberish,
      newPoolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    stakeRewards(
      maxAmount: BigNumberish,
      newPoolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    store(overrides?: CallOverrides): Promise<[string]>;

    storePoolRewards(
      providers: string[],
      poolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    totalClaimedRewards(
      provider: string,
      overrides?: CallOverrides
    ): Promise<[BigNumber]>;
  };

  claimRewards(
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  onAddingLiquidity(
    provider: string,
    poolAnchor: string,
    reserveToken: string,
    poolAmount: BigNumberish,
    reserveAmount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  onRemovingLiquidity(
    id: BigNumberish,
    provider: string,
    poolAnchor: string,
    reserveToken: string,
    poolAmount: BigNumberish,
    reserveAmount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  pendingPoolRewards(
    provider: string,
    poolToken: string,
    overrides?: CallOverrides
  ): Promise<BigNumber>;

  pendingReserveRewards(
    provider: string,
    poolToken: string,
    reserveToken: string,
    overrides?: CallOverrides
  ): Promise<BigNumber>;

  pendingRewards(
    provider: string,
    overrides?: CallOverrides
  ): Promise<BigNumber>;

  rewardsMultiplier(
    provider: string,
    poolToken: string,
    reserveToken: string,
    overrides?: CallOverrides
  ): Promise<number>;

  stakeReserveRewards(
    poolToken: string,
    reserveToken: string,
    maxAmount: BigNumberish,
    newPoolToken: string,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  stakeRewards(
    maxAmount: BigNumberish,
    newPoolToken: string,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  store(overrides?: CallOverrides): Promise<string>;

  storePoolRewards(
    providers: string[],
    poolToken: string,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  totalClaimedRewards(
    provider: string,
    overrides?: CallOverrides
  ): Promise<BigNumber>;

  callStatic: {
    claimRewards(overrides?: CallOverrides): Promise<BigNumber>;

    onAddingLiquidity(
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    onRemovingLiquidity(
      id: BigNumberish,
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    pendingPoolRewards(
      provider: string,
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    pendingReserveRewards(
      provider: string,
      poolToken: string,
      reserveToken: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    pendingRewards(
      provider: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    rewardsMultiplier(
      provider: string,
      poolToken: string,
      reserveToken: string,
      overrides?: CallOverrides
    ): Promise<number>;

    stakeReserveRewards(
      poolToken: string,
      reserveToken: string,
      maxAmount: BigNumberish,
      newPoolToken: string,
      overrides?: CallOverrides
    ): Promise<[BigNumber, BigNumber]>;

    stakeRewards(
      maxAmount: BigNumberish,
      newPoolToken: string,
      overrides?: CallOverrides
    ): Promise<[BigNumber, BigNumber]>;

    store(overrides?: CallOverrides): Promise<string>;

    storePoolRewards(
      providers: string[],
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<void>;

    totalClaimedRewards(
      provider: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;
  };

  filters: {
    "RewardsClaimed(address,uint256)"(
      provider?: string | null,
      amount?: null
    ): RewardsClaimedEventFilter;
    RewardsClaimed(
      provider?: string | null,
      amount?: null
    ): RewardsClaimedEventFilter;

    "RewardsStaked(address,address,uint256,uint256)"(
      provider?: string | null,
      poolToken?: string | null,
      amount?: null,
      newId?: BigNumberish | null
    ): RewardsStakedEventFilter;
    RewardsStaked(
      provider?: string | null,
      poolToken?: string | null,
      amount?: null,
      newId?: BigNumberish | null
    ): RewardsStakedEventFilter;
  };

  estimateGas: {
    claimRewards(
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    onAddingLiquidity(
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    onRemovingLiquidity(
      id: BigNumberish,
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    pendingPoolRewards(
      provider: string,
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    pendingReserveRewards(
      provider: string,
      poolToken: string,
      reserveToken: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    pendingRewards(
      provider: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    rewardsMultiplier(
      provider: string,
      poolToken: string,
      reserveToken: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    stakeReserveRewards(
      poolToken: string,
      reserveToken: string,
      maxAmount: BigNumberish,
      newPoolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    stakeRewards(
      maxAmount: BigNumberish,
      newPoolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    store(overrides?: CallOverrides): Promise<BigNumber>;

    storePoolRewards(
      providers: string[],
      poolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    totalClaimedRewards(
      provider: string,
      overrides?: CallOverrides
    ): Promise<BigNumber>;
  };

  populateTransaction: {
    claimRewards(
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    onAddingLiquidity(
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    onRemovingLiquidity(
      id: BigNumberish,
      provider: string,
      poolAnchor: string,
      reserveToken: string,
      poolAmount: BigNumberish,
      reserveAmount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    pendingPoolRewards(
      provider: string,
      poolToken: string,
      overrides?: CallOverrides
    ): Promise<PopulatedTransaction>;

    pendingReserveRewards(
      provider: string,
      poolToken: string,
      reserveToken: string,
      overrides?: CallOverrides
    ): Promise<PopulatedTransaction>;

    pendingRewards(
      provider: string,
      overrides?: CallOverrides
    ): Promise<PopulatedTransaction>;

    rewardsMultiplier(
      provider: string,
      poolToken: string,
      reserveToken: string,
      overrides?: CallOverrides
    ): Promise<PopulatedTransaction>;

    stakeReserveRewards(
      poolToken: string,
      reserveToken: string,
      maxAmount: BigNumberish,
      newPoolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    stakeRewards(
      maxAmount: BigNumberish,
      newPoolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    store(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    storePoolRewards(
      providers: string[],
      poolToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    totalClaimedRewards(
      provider: string,
      overrides?: CallOverrides
    ): Promise<PopulatedTransaction>;
  };
}
